#!/usr/bin/env node
import { execSync as X } from "node:child_process";
import pe, { resolve as ao } from "node:path";
import fe, { existsSync as ct, rmSync as Se } from "node:fs";
import { log as R, xPrompts as C, lookForParentTarget as Nn, decryptAES as co, createMainCommand as uo, createSubcommand as lo } from "@done-coding/cli-utils";
import { getConfigPath as fo, batchCompileHandler as po, MODULE_DEFAULT_CONFIG_RELATIVE_PATH as ho } from "@done-coding/cli-template";
import { getTargetRepoUrl as mo } from "@done-coding/cli-git";
const yt = {
  name: "create-done-coding",
  version: "0.11.3",
  description: "项目创建命令行工具",
  cliConfig: {
    namespaceDir: ".done-coding",
    moduleName: "create"
  }
}, Gt = "git@gitee.com:justsosu/done-coding-cli-config-json.git", jn = "自定义模版路径", Pn = "某个git平台用户仓库", go = `./.${yt.name}_temp`;
let et;
const yo = async () => (et || (et = (await wo()).templateList), et), xn = async () => [
  ...await yo(),
  { name: jn },
  { name: Pn }
], _o = {
  type: "text",
  name: "projectName",
  message: "请输入项目名称",
  format: (e) => e.trim(),
  validate: (e) => e.length > 0 || "项目名称不能为空"
}, Eo = async () => ({
  type: "select",
  name: "template",
  message: "请选择模板",
  choices: (await xn()).map((t) => {
    var n;
    return {
      title: t.branch ? `${t.name}(${t.branch})` : t.name,
      value: t.name,
      description: `${t.description || ""}${(n = t.instances) != null && n.length ? `, 已应用于: ${[""].concat(t.instances).join(`
- `)}` : ""}` || void 0
    };
  }),
  validate: (t) => t.trim().length > 0 || "模板不能为空"
}), bo = {
  type: "confirm",
  name: "saveGitHistory",
  message: "是否保留git历史",
  initial: !1
}, Fn = (e = "项目已存在，是否删除") => ({
  type: "confirm",
  name: "isRemove",
  message: e
}), Ro = {
  type: "text",
  name: "customUrl",
  message: "请输入自定义模板路径",
  validate: (e) => e.trim().length > 0 || "路径不能为空"
}, vo = (e) => ({
  type: "text",
  name: "gitCommitMessage",
  message: "请输入git提交信息",
  initial: `feat: 初始化项目${e}`,
  validate: (t) => t.trim().length > 0 || "提交信息不能为空"
}), wo = async () => {
  R.stage("拉取模板列表，请稍等...");
  const e = pe.resolve(
    process.cwd(),
    go
  );
  if (ct(e))
    return R.error(`${e} 已存在，请手动删除该目录再试`), process.exit(1);
  if (R.info(`配置临时目录：${e}`), fe.existsSync(e)) {
    const n = `${e}目录已存在，是否删除？`, { isRemove: r } = await C(Fn(n));
    if (r)
      fe.rmSync(e, { recursive: !0, force: !0 });
    else
      return R.error(`${e} 已存在，请手动删除该目录再试`), process.exit(1);
  }
  let t;
  try {
    X(`git clone ${Gt} ${e} --depth=1`);
    const n = yt.name, r = pe.resolve(e, `${n}.json`);
    if (t = JSON.parse(fe.readFileSync(r, "utf-8")), !Array.isArray(t.templateList)) {
      const o = `远程配置文件出错, templateList 不是数组, 请检查 ${Gt} ${n}.json`;
      throw new Error(o);
    }
    R.success("模板列表拉取成功！");
  } finally {
    fe.rmSync(e, { recursive: !0, force: !0 });
  }
  return t;
};
var Oo = Object.defineProperty, So = (e, t, n) => t in e ? Oo(e, t, { enumerable: !0, configurable: !0, writable: !0, value: n }) : e[t] = n, Q = (e, t, n) => (So(e, typeof t != "symbol" ? t + "" : t, n), n), D = /* @__PURE__ */ ((e) => (e.REQUEST_ERROR = "REQUEST_ERROR", e.NO_RESPONSE = "NO_RESPONSE", e.NO_RESPONSE_TIMEOUT = "NO_RESPONSE_TIMEOUT", e.NO_RESPONSE_OFFLINE = "NO_RESPONSE_OFFLINE", e.DISPATCH_RESPONSE = "DISPATCH_RESPONSE", e.DEAL_ERROR = "DEAL_ERROR", e.NO_BUSINESS_CODE = "NO_BUSINESS_CODE", e.NO_NETWORK_CODE = "NO_NETWORK_CODE", e.ABORT = "ABORT", e))(D || {});
class Y extends Error {
  constructor({ message: t, code: n, isBusinessError: r }) {
    super(t), Q(this, "code"), Q(this, "isBusinessError"), Q(this, "message"), this.message = t, this.code = n, this.isBusinessError = r, this.name = "DC Request ERROR";
  }
}
class me extends Y {
  /**
   * @param cause 错误原因
   */
  constructor({
    message: t,
    code: n,
    cause: r
  }) {
    super({ message: t, code: n, isBusinessError: !1 }), Q(this, "cause"), this.cause = r;
  }
}
class Un extends Y {
  constructor({ message: t, code: n }) {
    super({ message: t, code: n, isBusinessError: !0 });
  }
}
var B = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function _t(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var To = 200, Et = "__lodash_hash_undefined__", Ao = 1 / 0, $n = 9007199254740991, Co = "[object Arguments]", No = "[object Function]", jo = "[object GeneratorFunction]", Po = "[object Symbol]", xo = /[\\^$.*+?()[\]{}|]/g, Fo = /^\[object .+?Constructor\]$/, Uo = /^(?:0|[1-9]\d*)$/, $o = typeof B == "object" && B && B.Object === Object && B, Lo = typeof self == "object" && self && self.Object === Object && self, bt = $o || Lo || Function("return this")();
function Do(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function Bo(e, t) {
  var n = e ? e.length : 0;
  return !!n && Mo(e, t, 0) > -1;
}
function Io(e, t, n) {
  for (var r = -1, o = e ? e.length : 0; ++r < o; )
    if (n(t, e[r]))
      return !0;
  return !1;
}
function Ln(e, t) {
  for (var n = -1, r = e ? e.length : 0, o = Array(r); ++n < r; )
    o[n] = t(e[n], n, e);
  return o;
}
function Rt(e, t) {
  for (var n = -1, r = t.length, o = e.length; ++n < r; )
    e[o + n] = t[n];
  return e;
}
function ko(e, t, n, r) {
  for (var o = e.length, s = n + (r ? 1 : -1); r ? s-- : ++s < o; )
    if (t(e[s], s, e))
      return s;
  return -1;
}
function Mo(e, t, n) {
  if (t !== t)
    return ko(e, qo, n);
  for (var r = n - 1, o = e.length; ++r < o; )
    if (e[r] === t)
      return r;
  return -1;
}
function qo(e) {
  return e !== e;
}
function Ho(e, t) {
  for (var n = -1, r = Array(e); ++n < e; )
    r[n] = t(n);
  return r;
}
function Go(e) {
  return function(t) {
    return e(t);
  };
}
function Ko(e, t) {
  return e.has(t);
}
function Wo(e, t) {
  return e == null ? void 0 : e[t];
}
function zo(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
function Dn(e, t) {
  return function(n) {
    return e(t(n));
  };
}
var Jo = Array.prototype, Vo = Function.prototype, Le = Object.prototype, tt = bt["__core-js_shared__"], Kt = function() {
  var e = /[^.]+$/.exec(tt && tt.keys && tt.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), Bn = Vo.toString, te = Le.hasOwnProperty, vt = Le.toString, Xo = RegExp(
  "^" + Bn.call(te).replace(xo, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), Wt = bt.Symbol, Qo = Dn(Object.getPrototypeOf, Object), Zo = Le.propertyIsEnumerable, Yo = Jo.splice, zt = Wt ? Wt.isConcatSpreadable : void 0, ut = Object.getOwnPropertySymbols, Jt = Math.max, es = kn(bt, "Map"), ge = kn(Object, "create");
function G(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function ts() {
  this.__data__ = ge ? ge(null) : {};
}
function ns(e) {
  return this.has(e) && delete this.__data__[e];
}
function rs(e) {
  var t = this.__data__;
  if (ge) {
    var n = t[e];
    return n === Et ? void 0 : n;
  }
  return te.call(t, e) ? t[e] : void 0;
}
function os(e) {
  var t = this.__data__;
  return ge ? t[e] !== void 0 : te.call(t, e);
}
function ss(e, t) {
  var n = this.__data__;
  return n[e] = ge && t === void 0 ? Et : t, this;
}
G.prototype.clear = ts;
G.prototype.delete = ns;
G.prototype.get = rs;
G.prototype.has = os;
G.prototype.set = ss;
function ne(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function is() {
  this.__data__ = [];
}
function as(e) {
  var t = this.__data__, n = De(t, e);
  if (n < 0)
    return !1;
  var r = t.length - 1;
  return n == r ? t.pop() : Yo.call(t, n, 1), !0;
}
function cs(e) {
  var t = this.__data__, n = De(t, e);
  return n < 0 ? void 0 : t[n][1];
}
function us(e) {
  return De(this.__data__, e) > -1;
}
function ls(e, t) {
  var n = this.__data__, r = De(n, e);
  return r < 0 ? n.push([e, t]) : n[r][1] = t, this;
}
ne.prototype.clear = is;
ne.prototype.delete = as;
ne.prototype.get = cs;
ne.prototype.has = us;
ne.prototype.set = ls;
function re(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function fs() {
  this.__data__ = {
    hash: new G(),
    map: new (es || ne)(),
    string: new G()
  };
}
function ps(e) {
  return Be(this, e).delete(e);
}
function ds(e) {
  return Be(this, e).get(e);
}
function hs(e) {
  return Be(this, e).has(e);
}
function ms(e, t) {
  return Be(this, e).set(e, t), this;
}
re.prototype.clear = fs;
re.prototype.delete = ps;
re.prototype.get = ds;
re.prototype.has = hs;
re.prototype.set = ms;
function je(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.__data__ = new re(); ++t < n; )
    this.add(e[t]);
}
function gs(e) {
  return this.__data__.set(e, Et), this;
}
function ys(e) {
  return this.__data__.has(e);
}
je.prototype.add = je.prototype.push = gs;
je.prototype.has = ys;
function _s(e, t) {
  var n = wt(e) || Mn(e) ? Ho(e.length, String) : [], r = n.length, o = !!r;
  for (var s in e)
    (t || te.call(e, s)) && !(o && (s == "length" || js(s, r))) && n.push(s);
  return n;
}
function De(e, t) {
  for (var n = e.length; n--; )
    if (Ds(e[n][0], t))
      return n;
  return -1;
}
function Es(e, t, n, r) {
  var o = -1, s = Bo, i = !0, a = e.length, f = [], l = t.length;
  if (!a)
    return f;
  n && (t = Ln(t, Go(n))), r ? (s = Io, i = !1) : t.length >= To && (s = Ko, i = !1, t = new je(t));
  e:
    for (; ++o < a; ) {
      var c = e[o], p = n ? n(c) : c;
      if (c = r || c !== 0 ? c : 0, i && p === p) {
        for (var g = l; g--; )
          if (t[g] === p)
            continue e;
        f.push(c);
      } else
        s(t, p, r) || f.push(c);
    }
  return f;
}
function In(e, t, n, r, o) {
  var s = -1, i = e.length;
  for (n || (n = Ns), o || (o = []); ++s < i; ) {
    var a = e[s];
    t > 0 && n(a) ? t > 1 ? In(a, t - 1, n, r, o) : Rt(o, a) : r || (o[o.length] = a);
  }
  return o;
}
function bs(e, t, n) {
  var r = t(e);
  return wt(e) ? r : Rt(r, n(e));
}
function Rs(e) {
  if (!Ot(e) || xs(e))
    return !1;
  var t = Hn(e) || zo(e) ? Xo : Fo;
  return t.test(Ls(e));
}
function vs(e) {
  if (!Ot(e))
    return Us(e);
  var t = Fs(e), n = [];
  for (var r in e)
    r == "constructor" && (t || !te.call(e, r)) || n.push(r);
  return n;
}
function ws(e, t) {
  return e = Object(e), Os(e, t, function(n, r) {
    return r in e;
  });
}
function Os(e, t, n) {
  for (var r = -1, o = t.length, s = {}; ++r < o; ) {
    var i = t[r], a = e[i];
    n(a, i) && (s[i] = a);
  }
  return s;
}
function Ss(e, t) {
  return t = Jt(t === void 0 ? e.length - 1 : t, 0), function() {
    for (var n = arguments, r = -1, o = Jt(n.length - t, 0), s = Array(o); ++r < o; )
      s[r] = n[t + r];
    r = -1;
    for (var i = Array(t + 1); ++r < t; )
      i[r] = n[r];
    return i[t] = s, Do(e, this, i);
  };
}
function Ts(e) {
  return bs(e, Ms, Cs);
}
function Be(e, t) {
  var n = e.__data__;
  return Ps(t) ? n[typeof t == "string" ? "string" : "hash"] : n.map;
}
function kn(e, t) {
  var n = Wo(e, t);
  return Rs(n) ? n : void 0;
}
var As = ut ? Dn(ut, Object) : Kn, Cs = ut ? function(e) {
  for (var t = []; e; )
    Rt(t, As(e)), e = Qo(e);
  return t;
} : Kn;
function Ns(e) {
  return wt(e) || Mn(e) || !!(zt && e && e[zt]);
}
function js(e, t) {
  return t = t ?? $n, !!t && (typeof e == "number" || Uo.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function Ps(e) {
  var t = typeof e;
  return t == "string" || t == "number" || t == "symbol" || t == "boolean" ? e !== "__proto__" : e === null;
}
function xs(e) {
  return !!Kt && Kt in e;
}
function Fs(e) {
  var t = e && e.constructor, n = typeof t == "function" && t.prototype || Le;
  return e === n;
}
function Us(e) {
  var t = [];
  if (e != null)
    for (var n in Object(e))
      t.push(n);
  return t;
}
function $s(e) {
  if (typeof e == "string" || ks(e))
    return e;
  var t = e + "";
  return t == "0" && 1 / e == -Ao ? "-0" : t;
}
function Ls(e) {
  if (e != null) {
    try {
      return Bn.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function Ds(e, t) {
  return e === t || e !== e && t !== t;
}
function Mn(e) {
  return Bs(e) && te.call(e, "callee") && (!Zo.call(e, "callee") || vt.call(e) == Co);
}
var wt = Array.isArray;
function qn(e) {
  return e != null && Is(e.length) && !Hn(e);
}
function Bs(e) {
  return Gn(e) && qn(e);
}
function Hn(e) {
  var t = Ot(e) ? vt.call(e) : "";
  return t == No || t == jo;
}
function Is(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= $n;
}
function Ot(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function Gn(e) {
  return !!e && typeof e == "object";
}
function ks(e) {
  return typeof e == "symbol" || Gn(e) && vt.call(e) == Po;
}
function Ms(e) {
  return qn(e) ? _s(e, !0) : vs(e);
}
var qs = Ss(function(e, t) {
  return e == null ? {} : (t = Ln(In(t, 1), $s), ws(e, Es(Ts(e), t)));
});
function Kn() {
  return [];
}
var Hs = qs;
const Gs = /* @__PURE__ */ _t(Hs);
var I = /* @__PURE__ */ ((e) => (e.LOG = "log", e.WARN = "warn", e.ERROR = "error", e))(I || {}), N = /* @__PURE__ */ ((e) => (e.BEFORE = "1 发起请求前阶段", e.BEFORE_ERROR = "1.1 发起请求前阶段出错", e.BEFORE_ERROR_ORIGIN = "1.1.1 发起请求前阶段-原始错误", e.BEFORE_ERROR_PACK = "1.1.2 发起请求前阶段-包装后错误", e.NETWORK = "2 网络阶段", e.NETWORK_SUCCESS = "2.1 网络成功阶段", e.NETWORK_SUCCESS_BUSINESS_SUCCESS = "2.1.1 网路成功且业务成功", e.NETWORK_SUCCESS_BUSINESS_FAIL = "2.1.2 网络成功但业务失败", e.NETWORK_SUCCESS_DISPATCH_ERROR = "2.1.3 网络成功但分发业务结果出错", e.NETWORK_ERROR = "2.2 网络出错阶段", e.NETWORK_ERROR_ORIGIN = "2.2.1 网络出错阶段-原始错误", e.NETWORK_ERROR_PACK = "2.2.2 网络出错阶段-包装后错误", e.DEAL_ERROR = "3 处理错误阶段", e.DEAL_ERROR_ERROR = "3.1 处理错误阶段出错", e.DEAL_ERROR_RESULT = "3.2 处理错误结果", e.DEAL_ERROR_RESULT_RELOAD = "3.2.1 处理错误结果-重新请求", e.DEAL_ERROR_RESULT_CONTINUE = "3.2.2 处理错误结果-正常抛错", e))(N || {});
const j = ({
  stage: e,
  data: t
}, n = "log") => {
  console[n](
    e,
    t instanceof Y ? Gs({ ...t }, "cause") : t
  );
}, de = (e) => e instanceof Error ? e.message : "未知错误", Ks = async (e, {
  getBusinessCode: t,
  getBusinessMsg: n,
  getBusinessData: r,
  businessSuccessCodeList: o = [200],
  isSuccessBusinessCode: s
}, i) => {
  i && j(
    { stage: N.NETWORK_SUCCESS, data: e },
    I.LOG
  );
  try {
    const a = t(e), f = n(e);
    if (s ? s(a) : o.includes(a)) {
      const l = {
        code: a,
        data: r(e),
        message: f
      };
      return i && j(
        {
          stage: N.NETWORK_SUCCESS_BUSINESS_SUCCESS,
          data: l
        },
        I.LOG
      ), l;
    } else {
      if (a === void 0)
        throw new Error("业务code未定义");
      const l = new Un({
        code: a,
        message: f ?? "未知错误"
      });
      return i && j(
        {
          stage: N.NETWORK_SUCCESS_BUSINESS_FAIL,
          data: l
        },
        I.ERROR
      ), Promise.reject(l);
    }
  } catch (a) {
    i && j(
      {
        stage: N.NETWORK_SUCCESS_DISPATCH_ERROR,
        data: a
      },
      I.ERROR
    );
    const f = new me({
      code: D.DISPATCH_RESPONSE,
      message: de(a) ?? "分发响应结果执行出错",
      cause: a
    });
    return Promise.reject(f);
  }
}, Ws = (e, t) => (...n) => {
  try {
    return e(...n);
  } catch (r) {
    return console.error(e.name, r, e), t;
  }
}, Vt = (e, t) => (...n) => e(...n).catch((r) => (console.error(e.name, r, e), t));
var Wn = 9007199254740991, zs = "[object Arguments]", Js = "[object Function]", Vs = "[object GeneratorFunction]", Xs = /^(?:0|[1-9]\d*)$/;
function Qs(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function Zs(e, t) {
  for (var n = -1, r = Array(e); ++n < e; )
    r[n] = t(n);
  return r;
}
function Ys(e, t) {
  return function(n) {
    return e(t(n));
  };
}
var Ie = Object.prototype, ve = Ie.hasOwnProperty, zn = Ie.toString, Jn = Ie.propertyIsEnumerable, ei = Ys(Object.keys, Object), Xt = Math.max, ti = !Jn.call({ valueOf: 1 }, "valueOf");
function ni(e, t) {
  var n = ui(e) || ci(e) ? Zs(e.length, String) : [], r = n.length, o = !!r;
  for (var s in e)
    (t || ve.call(e, s)) && !(o && (s == "length" || Xn(s, r))) && n.push(s);
  return n;
}
function Vn(e, t, n) {
  var r = e[t];
  (!(ve.call(e, t) && Zn(r, n)) || n === void 0 && !(t in e)) && (e[t] = n);
}
function ri(e) {
  if (!Qn(e))
    return ei(e);
  var t = [];
  for (var n in Object(e))
    ve.call(e, n) && n != "constructor" && t.push(n);
  return t;
}
function oi(e, t) {
  return t = Xt(t === void 0 ? e.length - 1 : t, 0), function() {
    for (var n = arguments, r = -1, o = Xt(n.length - t, 0), s = Array(o); ++r < o; )
      s[r] = n[t + r];
    r = -1;
    for (var i = Array(t + 1); ++r < t; )
      i[r] = n[r];
    return i[t] = s, Qs(e, this, i);
  };
}
function si(e, t, n, r) {
  n || (n = {});
  for (var o = -1, s = t.length; ++o < s; ) {
    var i = t[o], a = r ? r(n[i], e[i], i, n, e) : void 0;
    Vn(n, i, a === void 0 ? e[i] : a);
  }
  return n;
}
function ii(e) {
  return oi(function(t, n) {
    var r = -1, o = n.length, s = o > 1 ? n[o - 1] : void 0, i = o > 2 ? n[2] : void 0;
    for (s = e.length > 3 && typeof s == "function" ? (o--, s) : void 0, i && ai(n[0], n[1], i) && (s = o < 3 ? void 0 : s, o = 1), t = Object(t); ++r < o; ) {
      var a = n[r];
      a && e(t, a, r, s);
    }
    return t;
  });
}
function Xn(e, t) {
  return t = t ?? Wn, !!t && (typeof e == "number" || Xs.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function ai(e, t, n) {
  if (!Yn(n))
    return !1;
  var r = typeof t;
  return (r == "number" ? ke(n) && Xn(t, n.length) : r == "string" && t in n) ? Zn(n[t], e) : !1;
}
function Qn(e) {
  var t = e && e.constructor, n = typeof t == "function" && t.prototype || Ie;
  return e === n;
}
function Zn(e, t) {
  return e === t || e !== e && t !== t;
}
function ci(e) {
  return li(e) && ve.call(e, "callee") && (!Jn.call(e, "callee") || zn.call(e) == zs);
}
var ui = Array.isArray;
function ke(e) {
  return e != null && pi(e.length) && !fi(e);
}
function li(e) {
  return di(e) && ke(e);
}
function fi(e) {
  var t = Yn(e) ? zn.call(e) : "";
  return t == Js || t == Vs;
}
function pi(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= Wn;
}
function Yn(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function di(e) {
  return !!e && typeof e == "object";
}
var hi = ii(function(e, t) {
  if (ti || Qn(t) || ke(t)) {
    si(t, mi(t), e);
    return;
  }
  for (var n in t)
    ve.call(t, n) && Vn(e, n, t[n]);
});
function mi(e) {
  return ke(e) ? ni(e) : ri(e);
}
var gi = hi;
const Qt = /* @__PURE__ */ _t(gi);
var yi = "Expected a function", Zt = "__lodash_placeholder__", K = 1, Me = 2, _i = 4, H = 8, he = 16, Z = 32, ye = 64, er = 128, Ei = 256, tr = 512, Yt = 1 / 0, bi = 9007199254740991, Ri = 17976931348623157e292, en = NaN, vi = [
  ["ary", er],
  ["bind", K],
  ["bindKey", Me],
  ["curry", H],
  ["curryRight", he],
  ["flip", tr],
  ["partial", Z],
  ["partialRight", ye],
  ["rearg", Ei]
], wi = "[object Function]", Oi = "[object GeneratorFunction]", Si = "[object Symbol]", Ti = /[\\^$.*+?()[\]{}|]/g, Ai = /^\s+|\s+$/g, Ci = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/, Ni = /\{\n\/\* \[wrapped with (.+)\] \*/, ji = /,? & /, Pi = /^[-+]0x[0-9a-f]+$/i, xi = /^0b[01]+$/i, Fi = /^\[object .+?Constructor\]$/, Ui = /^0o[0-7]+$/i, $i = /^(?:0|[1-9]\d*)$/, Li = parseInt, Di = typeof B == "object" && B && B.Object === Object && B, Bi = typeof self == "object" && self && self.Object === Object && self, we = Di || Bi || Function("return this")();
function nr(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function Ii(e, t) {
  for (var n = -1, r = e ? e.length : 0; ++n < r && t(e[n], n, e) !== !1; )
    ;
  return e;
}
function ki(e, t) {
  var n = e ? e.length : 0;
  return !!n && qi(e, t, 0) > -1;
}
function Mi(e, t, n, r) {
  for (var o = e.length, s = n + (r ? 1 : -1); r ? s-- : ++s < o; )
    if (t(e[s], s, e))
      return s;
  return -1;
}
function qi(e, t, n) {
  if (t !== t)
    return Mi(e, Hi, n);
  for (var r = n - 1, o = e.length; ++r < o; )
    if (e[r] === t)
      return r;
  return -1;
}
function Hi(e) {
  return e !== e;
}
function Gi(e, t) {
  for (var n = e.length, r = 0; n--; )
    e[n] === t && r++;
  return r;
}
function Ki(e, t) {
  return e == null ? void 0 : e[t];
}
function Wi(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
function rr(e, t) {
  for (var n = -1, r = e.length, o = 0, s = []; ++n < r; ) {
    var i = e[n];
    (i === t || i === Zt) && (e[n] = Zt, s[o++] = n);
  }
  return s;
}
var zi = Function.prototype, or = Object.prototype, nt = we["__core-js_shared__"], tn = function() {
  var e = /[^.]+$/.exec(nt && nt.keys && nt.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), sr = zi.toString, Ji = or.hasOwnProperty, ir = or.toString, Vi = RegExp(
  "^" + sr.call(Ji).replace(Ti, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), Xi = Object.create, Pe = Math.max, Qi = Math.min, nn = function() {
  var e = rn(Object, "defineProperty"), t = rn.name;
  return t && t.length > 2 ? e : void 0;
}();
function Zi(e) {
  return ee(e) ? Xi(e) : {};
}
function Yi(e) {
  if (!ee(e) || la(e))
    return !1;
  var t = ha(e) || Wi(e) ? Vi : Fi;
  return t.test(pa(e));
}
function ea(e, t, n, r) {
  for (var o = -1, s = e.length, i = n.length, a = -1, f = t.length, l = Pe(s - i, 0), c = Array(f + l), p = !r; ++a < f; )
    c[a] = t[a];
  for (; ++o < i; )
    (p || o < s) && (c[n[o]] = e[o]);
  for (; l--; )
    c[a++] = e[o++];
  return c;
}
function ta(e, t, n, r) {
  for (var o = -1, s = e.length, i = -1, a = n.length, f = -1, l = t.length, c = Pe(s - a, 0), p = Array(c + l), g = !r; ++o < c; )
    p[o] = e[o];
  for (var m = o; ++f < l; )
    p[m + f] = t[f];
  for (; ++i < a; )
    (g || o < s) && (p[m + n[i]] = e[o++]);
  return p;
}
function na(e, t) {
  var n = -1, r = e.length;
  for (t || (t = Array(r)); ++n < r; )
    t[n] = e[n];
  return t;
}
function ra(e, t, n) {
  var r = t & K, o = _e(e);
  function s() {
    var i = this && this !== we && this instanceof s ? o : e;
    return i.apply(r ? n : this, arguments);
  }
  return s;
}
function _e(e) {
  return function() {
    var t = arguments;
    switch (t.length) {
      case 0:
        return new e();
      case 1:
        return new e(t[0]);
      case 2:
        return new e(t[0], t[1]);
      case 3:
        return new e(t[0], t[1], t[2]);
      case 4:
        return new e(t[0], t[1], t[2], t[3]);
      case 5:
        return new e(t[0], t[1], t[2], t[3], t[4]);
      case 6:
        return new e(t[0], t[1], t[2], t[3], t[4], t[5]);
      case 7:
        return new e(t[0], t[1], t[2], t[3], t[4], t[5], t[6]);
    }
    var n = Zi(e.prototype), r = e.apply(n, t);
    return ee(r) ? r : n;
  };
}
function oa(e, t, n) {
  var r = _e(e);
  function o() {
    for (var s = arguments.length, i = Array(s), a = s, f = cr(o); a--; )
      i[a] = arguments[a];
    var l = s < 3 && i[0] !== f && i[s - 1] !== f ? [] : rr(i, f);
    if (s -= l.length, s < n)
      return ar(
        e,
        t,
        St,
        o.placeholder,
        void 0,
        i,
        l,
        void 0,
        void 0,
        n - s
      );
    var c = this && this !== we && this instanceof o ? r : e;
    return nr(c, this, i);
  }
  return o;
}
function St(e, t, n, r, o, s, i, a, f, l) {
  var c = t & er, p = t & K, g = t & Me, m = t & (H | he), d = t & tr, y = g ? void 0 : _e(e);
  function h() {
    for (var b = arguments.length, _ = Array(b), v = b; v--; )
      _[v] = arguments[v];
    if (m)
      var A = cr(h), O = Gi(_, A);
    if (r && (_ = ea(_, r, o, m)), s && (_ = ta(_, s, i, m)), b -= O, m && b < l) {
      var F = rr(_, A);
      return ar(
        e,
        t,
        St,
        h.placeholder,
        n,
        _,
        F,
        a,
        f,
        l - b
      );
    }
    var U = p ? n : this, L = g ? U[e] : e;
    return b = _.length, a ? _ = fa(_, a) : d && b > 1 && _.reverse(), c && f < b && (_.length = f), this && this !== we && this instanceof h && (L = y || _e(L)), L.apply(U, _);
  }
  return h;
}
function sa(e, t, n, r) {
  var o = t & K, s = _e(e);
  function i() {
    for (var a = -1, f = arguments.length, l = -1, c = r.length, p = Array(c + f), g = this && this !== we && this instanceof i ? s : e; ++l < c; )
      p[l] = r[l];
    for (; f--; )
      p[l++] = arguments[++a];
    return nr(g, o ? n : this, p);
  }
  return i;
}
function ar(e, t, n, r, o, s, i, a, f, l) {
  var c = t & H, p = c ? i : void 0, g = c ? void 0 : i, m = c ? s : void 0, d = c ? void 0 : s;
  t |= c ? Z : ye, t &= ~(c ? ye : Z), t & _i || (t &= ~(K | Me));
  var y = n(e, t, o, m, p, d, g, a, f, l);
  return y.placeholder = r, ur(y, e, t);
}
function ia(e, t, n, r, o, s, i, a) {
  var f = t & Me;
  if (!f && typeof e != "function")
    throw new TypeError(yi);
  var l = r ? r.length : 0;
  if (l || (t &= ~(Z | ye), r = o = void 0), i = i === void 0 ? i : Pe(on(i), 0), a = a === void 0 ? a : on(a), l -= o ? o.length : 0, t & ye) {
    var c = r, p = o;
    r = o = void 0;
  }
  var g = [
    e,
    t,
    n,
    r,
    o,
    c,
    p,
    s,
    i,
    a
  ];
  if (e = g[0], t = g[1], n = g[2], r = g[3], o = g[4], a = g[9] = g[9] == null ? f ? 0 : e.length : Pe(g[9] - l, 0), !a && t & (H | he) && (t &= ~(H | he)), !t || t == K)
    var m = ra(e, t, n);
  else
    t == H || t == he ? m = oa(e, t, a) : (t == Z || t == (K | Z)) && !o.length ? m = sa(e, t, n, r) : m = St.apply(void 0, g);
  return ur(m, e, t);
}
function cr(e) {
  var t = e;
  return t.placeholder;
}
function rn(e, t) {
  var n = Ki(e, t);
  return Yi(n) ? n : void 0;
}
function aa(e) {
  var t = e.match(Ni);
  return t ? t[1].split(ji) : [];
}
function ca(e, t) {
  var n = t.length, r = n - 1;
  return t[r] = (n > 1 ? "& " : "") + t[r], t = t.join(n > 2 ? ", " : " "), e.replace(Ci, `{
/* [wrapped with ` + t + `] */
`);
}
function ua(e, t) {
  return t = t ?? bi, !!t && (typeof e == "number" || $i.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function la(e) {
  return !!tn && tn in e;
}
function fa(e, t) {
  for (var n = e.length, r = Qi(t.length, n), o = na(e); r--; ) {
    var s = t[r];
    e[r] = ua(s, n) ? o[s] : void 0;
  }
  return e;
}
var ur = nn ? function(e, t, n) {
  var r = t + "";
  return nn(e, "toString", {
    configurable: !0,
    enumerable: !1,
    value: Ea(ca(r, da(aa(r), n)))
  });
} : ba;
function pa(e) {
  if (e != null) {
    try {
      return sr.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function da(e, t) {
  return Ii(vi, function(n) {
    var r = "_." + n[0];
    t & n[1] && !ki(e, r) && e.push(r);
  }), e.sort();
}
function Tt(e, t, n) {
  t = n ? void 0 : t;
  var r = ia(e, H, void 0, void 0, void 0, void 0, void 0, t);
  return r.placeholder = Tt.placeholder, r;
}
function ha(e) {
  var t = ee(e) ? ir.call(e) : "";
  return t == wi || t == Oi;
}
function ee(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function ma(e) {
  return !!e && typeof e == "object";
}
function ga(e) {
  return typeof e == "symbol" || ma(e) && ir.call(e) == Si;
}
function ya(e) {
  if (!e)
    return e === 0 ? e : 0;
  if (e = _a(e), e === Yt || e === -Yt) {
    var t = e < 0 ? -1 : 1;
    return t * Ri;
  }
  return e === e ? e : 0;
}
function on(e) {
  var t = ya(e), n = t % 1;
  return t === t ? n ? t - n : t : 0;
}
function _a(e) {
  if (typeof e == "number")
    return e;
  if (ga(e))
    return en;
  if (ee(e)) {
    var t = typeof e.valueOf == "function" ? e.valueOf() : e;
    e = ee(t) ? t + "" : t;
  }
  if (typeof e != "string")
    return e === 0 ? e : +e;
  e = e.replace(Ai, "");
  var n = xi.test(e);
  return n || Ui.test(e) ? Li(e.slice(2), n ? 2 : 8) : Pi.test(e) ? en : +e;
}
function Ea(e) {
  return function() {
    return e;
  };
}
function ba(e) {
  return e;
}
Tt.placeholder = {};
var Ra = Tt;
const va = /* @__PURE__ */ _t(Ra), wa = async ({
  cacheOptions: e,
  cacheConfig: t,
  apiConfig: n
}) => {
  const r = t.useCache && !!e;
  let o = "";
  r && (o = Ws(e.getKey, "")(n));
  const s = r ? await Vt(
    e.getCache,
    Promise.resolve(void 0)
  )(o) : void 0, i = r ? Vt(
    va(e.setCache)(o),
    Promise.resolve()
  ) : void 0;
  return {
    cacheEnabled: r,
    cacheKey: o,
    cacheResult: s,
    setCache: i
  };
}, Oa = (e, t) => {
  try {
    return e();
  } catch (n) {
    return t && j(
      {
        stage: N.DEAL_ERROR_ERROR,
        data: n
      },
      I.ERROR
    ), {
      canShowErrorToast: !0,
      newError: new me({
        code: D.DEAL_ERROR,
        message: de(n) ?? "处理RequestFailResult错误时出错",
        cause: n
      }),
      reload: !1
    };
  }
};
class Sa {
  constructor(t) {
    Q(this, "options"), Q(this, "request", async (n, r = !1) => {
      var o;
      r && j({
        stage: N.BEFORE,
        data: n
      });
      const { uiConfig: s = {}, cacheConfig: i = {}, ...a } = n, f = Qt({}, this.uiConfig, s), l = Qt({}, this.cacheConfig, i), { cacheResult: c, setCache: p } = await wa({
        cacheOptions: this.cacheFn,
        cacheConfig: l,
        apiConfig: n
      });
      if (c)
        return c;
      const g = {
        uiConfig: f,
        cacheConfig: l
      }, m = {
        ...a,
        BASE_PATH: this.basePath,
        TIMEOUT: this.timeout,
        debug: r
      };
      try {
        const d = await this.issue(m, g);
        return p == null || p(d, l), d;
      } catch (d) {
        const y = await Oa(() => {
          var h;
          return r && j({
            stage: N.DEAL_ERROR,
            data: d
          }), ((h = this.beforeError) == null ? void 0 : h.call(this, d, {
            apiConfig: n,
            extendConfig: g
          })) || {
            canShowErrorToast: !0,
            newError: d
          };
        }, r);
        if (y.reload)
          return r && j({
            stage: N.DEAL_ERROR_RESULT_RELOAD
          }), this.request(n, r);
        {
          const { newError: h, canShowErrorToast: b = !0 } = y;
          b && (f.errorToast ?? !0) && ((o = this.showToast) == null || o.call(this, h.message));
          let _;
          return h instanceof Y ? _ = h : h.isBusinessError ? _ = new Un(h) : _ = new me(h), r && j({
            stage: N.DEAL_ERROR_RESULT_CONTINUE,
            data: _
          }), Promise.reject(_);
        }
      }
    }), this.options = t;
  }
  get basePath() {
    return this.options.basePath;
  }
  get timeout() {
    return this.options.timeout;
  }
  get uiConfig() {
    return this.options.uiConfig || {};
  }
  get cacheConfig() {
    return this.options.cacheConfig || {};
  }
  /** 缓存相关方法 */
  get cacheFn() {
    return this.options.cache;
  }
  get issue() {
    return this.options.issue;
  }
  get beforeError() {
    return this.options.beforeError;
  }
  get showToast() {
    return this.options.showToast;
  }
}
const Ta = (e) => new Sa(e);
var k = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function lr(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Aa = 200, At = "__lodash_hash_undefined__", Ca = 1 / 0, fr = 9007199254740991, Na = "[object Arguments]", ja = "[object Function]", Pa = "[object GeneratorFunction]", xa = "[object Symbol]", Fa = /[\\^$.*+?()[\]{}|]/g, Ua = /^\[object .+?Constructor\]$/, $a = /^(?:0|[1-9]\d*)$/, La = typeof k == "object" && k && k.Object === Object && k, Da = typeof self == "object" && self && self.Object === Object && self, Ct = La || Da || Function("return this")();
function Ba(e, t, n) {
  switch (n.length) {
    case 0:
      return e.call(t);
    case 1:
      return e.call(t, n[0]);
    case 2:
      return e.call(t, n[0], n[1]);
    case 3:
      return e.call(t, n[0], n[1], n[2]);
  }
  return e.apply(t, n);
}
function Ia(e, t) {
  var n = e ? e.length : 0;
  return !!n && qa(e, t, 0) > -1;
}
function ka(e, t, n) {
  for (var r = -1, o = e ? e.length : 0; ++r < o; )
    if (n(t, e[r]))
      return !0;
  return !1;
}
function pr(e, t) {
  for (var n = -1, r = e ? e.length : 0, o = Array(r); ++n < r; )
    o[n] = t(e[n], n, e);
  return o;
}
function Nt(e, t) {
  for (var n = -1, r = t.length, o = e.length; ++n < r; )
    e[o + n] = t[n];
  return e;
}
function Ma(e, t, n, r) {
  for (var o = e.length, s = n + (r ? 1 : -1); r ? s-- : ++s < o; )
    if (t(e[s], s, e))
      return s;
  return -1;
}
function qa(e, t, n) {
  if (t !== t)
    return Ma(e, Ha, n);
  for (var r = n - 1, o = e.length; ++r < o; )
    if (e[r] === t)
      return r;
  return -1;
}
function Ha(e) {
  return e !== e;
}
function Ga(e, t) {
  for (var n = -1, r = Array(e); ++n < e; )
    r[n] = t(n);
  return r;
}
function Ka(e) {
  return function(t) {
    return e(t);
  };
}
function Wa(e, t) {
  return e.has(t);
}
function za(e, t) {
  return e == null ? void 0 : e[t];
}
function Ja(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
function dr(e, t) {
  return function(n) {
    return e(t(n));
  };
}
var Va = Array.prototype, Xa = Function.prototype, qe = Object.prototype, rt = Ct["__core-js_shared__"], sn = function() {
  var e = /[^.]+$/.exec(rt && rt.keys && rt.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), hr = Xa.toString, oe = qe.hasOwnProperty, jt = qe.toString, Qa = RegExp(
  "^" + hr.call(oe).replace(Fa, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), an = Ct.Symbol, Za = dr(Object.getPrototypeOf, Object), Ya = qe.propertyIsEnumerable, ec = Va.splice, cn = an ? an.isConcatSpreadable : void 0, lt = Object.getOwnPropertySymbols, un = Math.max, tc = gr(Ct, "Map"), Ee = gr(Object, "create");
function W(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function nc() {
  this.__data__ = Ee ? Ee(null) : {};
}
function rc(e) {
  return this.has(e) && delete this.__data__[e];
}
function oc(e) {
  var t = this.__data__;
  if (Ee) {
    var n = t[e];
    return n === At ? void 0 : n;
  }
  return oe.call(t, e) ? t[e] : void 0;
}
function sc(e) {
  var t = this.__data__;
  return Ee ? t[e] !== void 0 : oe.call(t, e);
}
function ic(e, t) {
  var n = this.__data__;
  return n[e] = Ee && t === void 0 ? At : t, this;
}
W.prototype.clear = nc;
W.prototype.delete = rc;
W.prototype.get = oc;
W.prototype.has = sc;
W.prototype.set = ic;
function se(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function ac() {
  this.__data__ = [];
}
function cc(e) {
  var t = this.__data__, n = He(t, e);
  if (n < 0)
    return !1;
  var r = t.length - 1;
  return n == r ? t.pop() : ec.call(t, n, 1), !0;
}
function uc(e) {
  var t = this.__data__, n = He(t, e);
  return n < 0 ? void 0 : t[n][1];
}
function lc(e) {
  return He(this.__data__, e) > -1;
}
function fc(e, t) {
  var n = this.__data__, r = He(n, e);
  return r < 0 ? n.push([e, t]) : n[r][1] = t, this;
}
se.prototype.clear = ac;
se.prototype.delete = cc;
se.prototype.get = uc;
se.prototype.has = lc;
se.prototype.set = fc;
function ie(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function pc() {
  this.__data__ = {
    hash: new W(),
    map: new (tc || se)(),
    string: new W()
  };
}
function dc(e) {
  return Ge(this, e).delete(e);
}
function hc(e) {
  return Ge(this, e).get(e);
}
function mc(e) {
  return Ge(this, e).has(e);
}
function gc(e, t) {
  return Ge(this, e).set(e, t), this;
}
ie.prototype.clear = pc;
ie.prototype.delete = dc;
ie.prototype.get = hc;
ie.prototype.has = mc;
ie.prototype.set = gc;
function xe(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.__data__ = new ie(); ++t < n; )
    this.add(e[t]);
}
function yc(e) {
  return this.__data__.set(e, At), this;
}
function _c(e) {
  return this.__data__.has(e);
}
xe.prototype.add = xe.prototype.push = yc;
xe.prototype.has = _c;
function Ec(e, t) {
  var n = Pt(e) || yr(e) ? Ga(e.length, String) : [], r = n.length, o = !!r;
  for (var s in e)
    (t || oe.call(e, s)) && !(o && (s == "length" || Pc(s, r))) && n.push(s);
  return n;
}
function He(e, t) {
  for (var n = e.length; n--; )
    if (Bc(e[n][0], t))
      return n;
  return -1;
}
function bc(e, t, n, r) {
  var o = -1, s = Ia, i = !0, a = e.length, f = [], l = t.length;
  if (!a)
    return f;
  n && (t = pr(t, Ka(n))), r ? (s = ka, i = !1) : t.length >= Aa && (s = Wa, i = !1, t = new xe(t));
  e:
    for (; ++o < a; ) {
      var c = e[o], p = n ? n(c) : c;
      if (c = r || c !== 0 ? c : 0, i && p === p) {
        for (var g = l; g--; )
          if (t[g] === p)
            continue e;
        f.push(c);
      } else
        s(t, p, r) || f.push(c);
    }
  return f;
}
function mr(e, t, n, r, o) {
  var s = -1, i = e.length;
  for (n || (n = jc), o || (o = []); ++s < i; ) {
    var a = e[s];
    t > 0 && n(a) ? t > 1 ? mr(a, t - 1, n, r, o) : Nt(o, a) : r || (o[o.length] = a);
  }
  return o;
}
function Rc(e, t, n) {
  var r = t(e);
  return Pt(e) ? r : Nt(r, n(e));
}
function vc(e) {
  if (!xt(e) || Fc(e))
    return !1;
  var t = Er(e) || Ja(e) ? Qa : Ua;
  return t.test(Dc(e));
}
function wc(e) {
  if (!xt(e))
    return $c(e);
  var t = Uc(e), n = [];
  for (var r in e)
    r == "constructor" && (t || !oe.call(e, r)) || n.push(r);
  return n;
}
function Oc(e, t) {
  return e = Object(e), Sc(e, t, function(n, r) {
    return r in e;
  });
}
function Sc(e, t, n) {
  for (var r = -1, o = t.length, s = {}; ++r < o; ) {
    var i = t[r], a = e[i];
    n(a, i) && (s[i] = a);
  }
  return s;
}
function Tc(e, t) {
  return t = un(t === void 0 ? e.length - 1 : t, 0), function() {
    for (var n = arguments, r = -1, o = un(n.length - t, 0), s = Array(o); ++r < o; )
      s[r] = n[t + r];
    r = -1;
    for (var i = Array(t + 1); ++r < t; )
      i[r] = n[r];
    return i[t] = s, Ba(e, this, i);
  };
}
function Ac(e) {
  return Rc(e, qc, Nc);
}
function Ge(e, t) {
  var n = e.__data__;
  return xc(t) ? n[typeof t == "string" ? "string" : "hash"] : n.map;
}
function gr(e, t) {
  var n = za(e, t);
  return vc(n) ? n : void 0;
}
var Cc = lt ? dr(lt, Object) : Rr, Nc = lt ? function(e) {
  for (var t = []; e; )
    Nt(t, Cc(e)), e = Za(e);
  return t;
} : Rr;
function jc(e) {
  return Pt(e) || yr(e) || !!(cn && e && e[cn]);
}
function Pc(e, t) {
  return t = t ?? fr, !!t && (typeof e == "number" || $a.test(e)) && e > -1 && e % 1 == 0 && e < t;
}
function xc(e) {
  var t = typeof e;
  return t == "string" || t == "number" || t == "symbol" || t == "boolean" ? e !== "__proto__" : e === null;
}
function Fc(e) {
  return !!sn && sn in e;
}
function Uc(e) {
  var t = e && e.constructor, n = typeof t == "function" && t.prototype || qe;
  return e === n;
}
function $c(e) {
  var t = [];
  if (e != null)
    for (var n in Object(e))
      t.push(n);
  return t;
}
function Lc(e) {
  if (typeof e == "string" || Mc(e))
    return e;
  var t = e + "";
  return t == "0" && 1 / e == -Ca ? "-0" : t;
}
function Dc(e) {
  if (e != null) {
    try {
      return hr.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function Bc(e, t) {
  return e === t || e !== e && t !== t;
}
function yr(e) {
  return Ic(e) && oe.call(e, "callee") && (!Ya.call(e, "callee") || jt.call(e) == Na);
}
var Pt = Array.isArray;
function _r(e) {
  return e != null && kc(e.length) && !Er(e);
}
function Ic(e) {
  return br(e) && _r(e);
}
function Er(e) {
  var t = xt(e) ? jt.call(e) : "";
  return t == ja || t == Pa;
}
function kc(e) {
  return typeof e == "number" && e > -1 && e % 1 == 0 && e <= fr;
}
function xt(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function br(e) {
  return !!e && typeof e == "object";
}
function Mc(e) {
  return typeof e == "symbol" || br(e) && jt.call(e) == xa;
}
function qc(e) {
  return _r(e) ? Ec(e, !0) : wc(e);
}
var Hc = Tc(function(e, t) {
  return e == null ? {} : (t = pr(mr(t, 1), Lc), Oc(e, bc(Ac(e), t)));
});
function Rr() {
  return [];
}
var Gc = Hc;
const Kc = /* @__PURE__ */ lr(Gc);
var Wc = "Expected a function", vr = "__lodash_hash_undefined__", wr = 1 / 0, zc = "[object Function]", Jc = "[object GeneratorFunction]", Vc = "[object Symbol]", Xc = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/, Qc = /^\w*$/, Zc = /^\./, Yc = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g, eu = /[\\^$.*+?()[\]{}|]/g, tu = /\\(\\)?/g, nu = /^\[object .+?Constructor\]$/, ru = typeof k == "object" && k && k.Object === Object && k, ou = typeof self == "object" && self && self.Object === Object && self, Ft = ru || ou || Function("return this")();
function su(e, t) {
  return e == null ? void 0 : e[t];
}
function iu(e) {
  var t = !1;
  if (e != null && typeof e.toString != "function")
    try {
      t = !!(e + "");
    } catch {
    }
  return t;
}
var au = Array.prototype, cu = Function.prototype, Or = Object.prototype, ot = Ft["__core-js_shared__"], ln = function() {
  var e = /[^.]+$/.exec(ot && ot.keys && ot.keys.IE_PROTO || "");
  return e ? "Symbol(src)_1." + e : "";
}(), Sr = cu.toString, Ut = Or.hasOwnProperty, Tr = Or.toString, uu = RegExp(
  "^" + Sr.call(Ut).replace(eu, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$"
), fn = Ft.Symbol, lu = au.splice, fu = Ar(Ft, "Map"), be = Ar(Object, "create"), pn = fn ? fn.prototype : void 0, dn = pn ? pn.toString : void 0;
function z(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function pu() {
  this.__data__ = be ? be(null) : {};
}
function du(e) {
  return this.has(e) && delete this.__data__[e];
}
function hu(e) {
  var t = this.__data__;
  if (be) {
    var n = t[e];
    return n === vr ? void 0 : n;
  }
  return Ut.call(t, e) ? t[e] : void 0;
}
function mu(e) {
  var t = this.__data__;
  return be ? t[e] !== void 0 : Ut.call(t, e);
}
function gu(e, t) {
  var n = this.__data__;
  return n[e] = be && t === void 0 ? vr : t, this;
}
z.prototype.clear = pu;
z.prototype.delete = du;
z.prototype.get = hu;
z.prototype.has = mu;
z.prototype.set = gu;
function ae(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function yu() {
  this.__data__ = [];
}
function _u(e) {
  var t = this.__data__, n = Ke(t, e);
  if (n < 0)
    return !1;
  var r = t.length - 1;
  return n == r ? t.pop() : lu.call(t, n, 1), !0;
}
function Eu(e) {
  var t = this.__data__, n = Ke(t, e);
  return n < 0 ? void 0 : t[n][1];
}
function bu(e) {
  return Ke(this.__data__, e) > -1;
}
function Ru(e, t) {
  var n = this.__data__, r = Ke(n, e);
  return r < 0 ? n.push([e, t]) : n[r][1] = t, this;
}
ae.prototype.clear = yu;
ae.prototype.delete = _u;
ae.prototype.get = Eu;
ae.prototype.has = bu;
ae.prototype.set = Ru;
function V(e) {
  var t = -1, n = e ? e.length : 0;
  for (this.clear(); ++t < n; ) {
    var r = e[t];
    this.set(r[0], r[1]);
  }
}
function vu() {
  this.__data__ = {
    hash: new z(),
    map: new (fu || ae)(),
    string: new z()
  };
}
function wu(e) {
  return We(this, e).delete(e);
}
function Ou(e) {
  return We(this, e).get(e);
}
function Su(e) {
  return We(this, e).has(e);
}
function Tu(e, t) {
  return We(this, e).set(e, t), this;
}
V.prototype.clear = vu;
V.prototype.delete = wu;
V.prototype.get = Ou;
V.prototype.has = Su;
V.prototype.set = Tu;
function Ke(e, t) {
  for (var n = e.length; n--; )
    if (Du(e[n][0], t))
      return n;
  return -1;
}
function Au(e, t) {
  t = Pu(t, e) ? [t] : ju(t);
  for (var n = 0, r = t.length; e != null && n < r; )
    e = e[$u(t[n++])];
  return n && n == r ? e : void 0;
}
function Cu(e) {
  if (!Nr(e) || Fu(e))
    return !1;
  var t = Bu(e) || iu(e) ? uu : nu;
  return t.test(Lu(e));
}
function Nu(e) {
  if (typeof e == "string")
    return e;
  if (Lt(e))
    return dn ? dn.call(e) : "";
  var t = e + "";
  return t == "0" && 1 / e == -wr ? "-0" : t;
}
function ju(e) {
  return Cr(e) ? e : Uu(e);
}
function We(e, t) {
  var n = e.__data__;
  return xu(t) ? n[typeof t == "string" ? "string" : "hash"] : n.map;
}
function Ar(e, t) {
  var n = su(e, t);
  return Cu(n) ? n : void 0;
}
function Pu(e, t) {
  if (Cr(e))
    return !1;
  var n = typeof e;
  return n == "number" || n == "symbol" || n == "boolean" || e == null || Lt(e) ? !0 : Qc.test(e) || !Xc.test(e) || t != null && e in Object(t);
}
function xu(e) {
  var t = typeof e;
  return t == "string" || t == "number" || t == "symbol" || t == "boolean" ? e !== "__proto__" : e === null;
}
function Fu(e) {
  return !!ln && ln in e;
}
var Uu = $t(function(e) {
  e = ku(e);
  var t = [];
  return Zc.test(e) && t.push(""), e.replace(Yc, function(n, r, o, s) {
    t.push(o ? s.replace(tu, "$1") : r || n);
  }), t;
});
function $u(e) {
  if (typeof e == "string" || Lt(e))
    return e;
  var t = e + "";
  return t == "0" && 1 / e == -wr ? "-0" : t;
}
function Lu(e) {
  if (e != null) {
    try {
      return Sr.call(e);
    } catch {
    }
    try {
      return e + "";
    } catch {
    }
  }
  return "";
}
function $t(e, t) {
  if (typeof e != "function" || t && typeof t != "function")
    throw new TypeError(Wc);
  var n = function() {
    var r = arguments, o = t ? t.apply(this, r) : r[0], s = n.cache;
    if (s.has(o))
      return s.get(o);
    var i = e.apply(this, r);
    return n.cache = s.set(o, i), i;
  };
  return n.cache = new ($t.Cache || V)(), n;
}
$t.Cache = V;
function Du(e, t) {
  return e === t || e !== e && t !== t;
}
var Cr = Array.isArray;
function Bu(e) {
  var t = Nr(e) ? Tr.call(e) : "";
  return t == zc || t == Jc;
}
function Nr(e) {
  var t = typeof e;
  return !!e && (t == "object" || t == "function");
}
function Iu(e) {
  return !!e && typeof e == "object";
}
function Lt(e) {
  return typeof e == "symbol" || Iu(e) && Tr.call(e) == Vc;
}
function ku(e) {
  return e == null ? "" : Nu(e);
}
function Mu(e, t, n) {
  var r = e == null ? void 0 : Au(e, t);
  return r === void 0 ? n : r;
}
var qu = Mu;
const Hu = /* @__PURE__ */ lr(qu), jr = ({
  basePath: e,
  timeout: t,
  beforeRequest: n = (f) => f,
  networkSuccessCodeList: r,
  isSuccessNetworkCode: o = (f) => Array.isArray(r) ? r.includes(f) : f >= 200 && f < 300,
  instanceCreateConfig: s = {},
  axios: i,
  ...a
}) => {
  const f = i.create({
    baseURL: e,
    timeout: t,
    ...s,
    validateStatus: o
  });
  f.interceptors.request.use(n, (c) => {
    if (c instanceof Y)
      return Promise.reject(c);
    const p = new me({
      code: D.REQUEST_ERROR,
      message: de(c) ?? "发起请求出错",
      cause: c
    });
    return Promise.reject(p);
  });
  const { request: l } = Ta({
    ...a,
    basePath: e,
    timeout: t,
    issue: ({ TIMEOUT: c, DEBUG: p, ...g }) => f({
      timeout: c,
      ...Kc(g, ["BASE_PATH"])
    }).then((m) => Ks(m, a, p)).catch((m) => {
      if (m instanceof Y)
        return p && j(
          {
            stage: N.NETWORK_ERROR_ORIGIN,
            data: m
          },
          I.ERROR
        ), Promise.reject(m);
      const { response: d, request: y } = m;
      let h, b;
      d ? (h = d.status, b = d.statusText) : y ? (h = D.NO_RESPONSE, i.isAxiosError(m) ? m.message.includes("timeout of") ? (h = D.NO_RESPONSE_TIMEOUT, b = "请求超时") : Hu(globalThis, "navigator.onLine") === !1 ? (h = D.NO_RESPONSE_OFFLINE, b = "网络未连接") : b = m.message : b = de(m) ?? "未响应") : (h = D.REQUEST_ERROR, b = de(m) ?? "发起请求出错");
      const _ = new me({
        code: h,
        message: b,
        cause: m
      });
      return p && j(
        {
          stage: N.NETWORK_ERROR_PACK,
          data: _
        },
        I.ERROR
      ), Promise.reject(_);
    })
  });
  return l;
};
function Pr(e, t) {
  return function() {
    return e.apply(t, arguments);
  };
}
const { toString: Gu } = Object.prototype, { getPrototypeOf: Dt } = Object, ze = ((e) => (t) => {
  const n = Gu.call(t);
  return e[n] || (e[n] = n.slice(8, -1).toLowerCase());
})(/* @__PURE__ */ Object.create(null)), x = (e) => (e = e.toLowerCase(), (t) => ze(t) === e), Je = (e) => (t) => typeof t === e, { isArray: ce } = Array, Re = Je("undefined");
function Ku(e) {
  return e !== null && !Re(e) && e.constructor !== null && !Re(e.constructor) && T(e.constructor.isBuffer) && e.constructor.isBuffer(e);
}
const xr = x("ArrayBuffer");
function Wu(e) {
  let t;
  return typeof ArrayBuffer < "u" && ArrayBuffer.isView ? t = ArrayBuffer.isView(e) : t = e && e.buffer && xr(e.buffer), t;
}
const zu = Je("string"), T = Je("function"), Fr = Je("number"), Ve = (e) => e !== null && typeof e == "object", Ju = (e) => e === !0 || e === !1, Te = (e) => {
  if (ze(e) !== "object")
    return !1;
  const t = Dt(e);
  return (t === null || t === Object.prototype || Object.getPrototypeOf(t) === null) && !(Symbol.toStringTag in e) && !(Symbol.iterator in e);
}, Vu = x("Date"), Xu = x("File"), Qu = x("Blob"), Zu = x("FileList"), Yu = (e) => Ve(e) && T(e.pipe), el = (e) => {
  let t;
  return e && (typeof FormData == "function" && e instanceof FormData || T(e.append) && ((t = ze(e)) === "formdata" || // detect form-data instance
  t === "object" && T(e.toString) && e.toString() === "[object FormData]"));
}, tl = x("URLSearchParams"), [nl, rl, ol, sl] = ["ReadableStream", "Request", "Response", "Headers"].map(x), il = (e) => e.trim ? e.trim() : e.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g, "");
function Oe(e, t, { allOwnKeys: n = !1 } = {}) {
  if (e === null || typeof e > "u")
    return;
  let r, o;
  if (typeof e != "object" && (e = [e]), ce(e))
    for (r = 0, o = e.length; r < o; r++)
      t.call(null, e[r], r, e);
  else {
    const s = n ? Object.getOwnPropertyNames(e) : Object.keys(e), i = s.length;
    let a;
    for (r = 0; r < i; r++)
      a = s[r], t.call(null, e[a], a, e);
  }
}
function Ur(e, t) {
  t = t.toLowerCase();
  const n = Object.keys(e);
  let r = n.length, o;
  for (; r-- > 0; )
    if (o = n[r], t === o.toLowerCase())
      return o;
  return null;
}
const q = (() => typeof globalThis < "u" ? globalThis : typeof self < "u" ? self : typeof window < "u" ? window : global)(), $r = (e) => !Re(e) && e !== q;
function ft() {
  const { caseless: e } = $r(this) && this || {}, t = {}, n = (r, o) => {
    const s = e && Ur(t, o) || o;
    Te(t[s]) && Te(r) ? t[s] = ft(t[s], r) : Te(r) ? t[s] = ft({}, r) : ce(r) ? t[s] = r.slice() : t[s] = r;
  };
  for (let r = 0, o = arguments.length; r < o; r++)
    arguments[r] && Oe(arguments[r], n);
  return t;
}
const al = (e, t, n, { allOwnKeys: r } = {}) => (Oe(t, (o, s) => {
  n && T(o) ? e[s] = Pr(o, n) : e[s] = o;
}, { allOwnKeys: r }), e), cl = (e) => (e.charCodeAt(0) === 65279 && (e = e.slice(1)), e), ul = (e, t, n, r) => {
  e.prototype = Object.create(t.prototype, r), e.prototype.constructor = e, Object.defineProperty(e, "super", {
    value: t.prototype
  }), n && Object.assign(e.prototype, n);
}, ll = (e, t, n, r) => {
  let o, s, i;
  const a = {};
  if (t = t || {}, e == null)
    return t;
  do {
    for (o = Object.getOwnPropertyNames(e), s = o.length; s-- > 0; )
      i = o[s], (!r || r(i, e, t)) && !a[i] && (t[i] = e[i], a[i] = !0);
    e = n !== !1 && Dt(e);
  } while (e && (!n || n(e, t)) && e !== Object.prototype);
  return t;
}, fl = (e, t, n) => {
  e = String(e), (n === void 0 || n > e.length) && (n = e.length), n -= t.length;
  const r = e.indexOf(t, n);
  return r !== -1 && r === n;
}, pl = (e) => {
  if (!e)
    return null;
  if (ce(e))
    return e;
  let t = e.length;
  if (!Fr(t))
    return null;
  const n = new Array(t);
  for (; t-- > 0; )
    n[t] = e[t];
  return n;
}, dl = ((e) => (t) => e && t instanceof e)(typeof Uint8Array < "u" && Dt(Uint8Array)), hl = (e, t) => {
  const r = (e && e[Symbol.iterator]).call(e);
  let o;
  for (; (o = r.next()) && !o.done; ) {
    const s = o.value;
    t.call(e, s[0], s[1]);
  }
}, ml = (e, t) => {
  let n;
  const r = [];
  for (; (n = e.exec(t)) !== null; )
    r.push(n);
  return r;
}, gl = x("HTMLFormElement"), yl = (e) => e.toLowerCase().replace(
  /[-_\s]([a-z\d])(\w*)/g,
  function(n, r, o) {
    return r.toUpperCase() + o;
  }
), hn = (({ hasOwnProperty: e }) => (t, n) => e.call(t, n))(Object.prototype), _l = x("RegExp"), Lr = (e, t) => {
  const n = Object.getOwnPropertyDescriptors(e), r = {};
  Oe(n, (o, s) => {
    let i;
    (i = t(o, s, e)) !== !1 && (r[s] = i || o);
  }), Object.defineProperties(e, r);
}, El = (e) => {
  Lr(e, (t, n) => {
    if (T(e) && ["arguments", "caller", "callee"].indexOf(n) !== -1)
      return !1;
    const r = e[n];
    if (T(r)) {
      if (t.enumerable = !1, "writable" in t) {
        t.writable = !1;
        return;
      }
      t.set || (t.set = () => {
        throw Error("Can not rewrite read-only method '" + n + "'");
      });
    }
  });
}, bl = (e, t) => {
  const n = {}, r = (o) => {
    o.forEach((s) => {
      n[s] = !0;
    });
  };
  return ce(e) ? r(e) : r(String(e).split(t)), n;
}, Rl = () => {
}, vl = (e, t) => e != null && Number.isFinite(e = +e) ? e : t;
function wl(e) {
  return !!(e && T(e.append) && e[Symbol.toStringTag] === "FormData" && e[Symbol.iterator]);
}
const Ol = (e) => {
  const t = new Array(10), n = (r, o) => {
    if (Ve(r)) {
      if (t.indexOf(r) >= 0)
        return;
      if (!("toJSON" in r)) {
        t[o] = r;
        const s = ce(r) ? [] : {};
        return Oe(r, (i, a) => {
          const f = n(i, o + 1);
          !Re(f) && (s[a] = f);
        }), t[o] = void 0, s;
      }
    }
    return r;
  };
  return n(e, 0);
}, Sl = x("AsyncFunction"), Tl = (e) => e && (Ve(e) || T(e)) && T(e.then) && T(e.catch), Dr = ((e, t) => e ? setImmediate : t ? ((n, r) => (q.addEventListener("message", ({ source: o, data: s }) => {
  o === q && s === n && r.length && r.shift()();
}, !1), (o) => {
  r.push(o), q.postMessage(n, "*");
}))(`axios@${Math.random()}`, []) : (n) => setTimeout(n))(
  typeof setImmediate == "function",
  T(q.postMessage)
), Al = typeof queueMicrotask < "u" ? queueMicrotask.bind(q) : typeof process < "u" && process.nextTick || Dr, u = {
  isArray: ce,
  isArrayBuffer: xr,
  isBuffer: Ku,
  isFormData: el,
  isArrayBufferView: Wu,
  isString: zu,
  isNumber: Fr,
  isBoolean: Ju,
  isObject: Ve,
  isPlainObject: Te,
  isReadableStream: nl,
  isRequest: rl,
  isResponse: ol,
  isHeaders: sl,
  isUndefined: Re,
  isDate: Vu,
  isFile: Xu,
  isBlob: Qu,
  isRegExp: _l,
  isFunction: T,
  isStream: Yu,
  isURLSearchParams: tl,
  isTypedArray: dl,
  isFileList: Zu,
  forEach: Oe,
  merge: ft,
  extend: al,
  trim: il,
  stripBOM: cl,
  inherits: ul,
  toFlatObject: ll,
  kindOf: ze,
  kindOfTest: x,
  endsWith: fl,
  toArray: pl,
  forEachEntry: hl,
  matchAll: ml,
  isHTMLForm: gl,
  hasOwnProperty: hn,
  hasOwnProp: hn,
  // an alias to avoid ESLint no-prototype-builtins detection
  reduceDescriptors: Lr,
  freezeMethods: El,
  toObjectSet: bl,
  toCamelCase: yl,
  noop: Rl,
  toFiniteNumber: vl,
  findKey: Ur,
  global: q,
  isContextDefined: $r,
  isSpecCompliantForm: wl,
  toJSONObject: Ol,
  isAsyncFn: Sl,
  isThenable: Tl,
  setImmediate: Dr,
  asap: Al
};
function E(e, t, n, r, o) {
  Error.call(this), Error.captureStackTrace ? Error.captureStackTrace(this, this.constructor) : this.stack = new Error().stack, this.message = e, this.name = "AxiosError", t && (this.code = t), n && (this.config = n), r && (this.request = r), o && (this.response = o, this.status = o.status ? o.status : null);
}
u.inherits(E, Error, {
  toJSON: function() {
    return {
      // Standard
      message: this.message,
      name: this.name,
      // Microsoft
      description: this.description,
      number: this.number,
      // Mozilla
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      // Axios
      config: u.toJSONObject(this.config),
      code: this.code,
      status: this.status
    };
  }
});
const Br = E.prototype, Ir = {};
[
  "ERR_BAD_OPTION_VALUE",
  "ERR_BAD_OPTION",
  "ECONNABORTED",
  "ETIMEDOUT",
  "ERR_NETWORK",
  "ERR_FR_TOO_MANY_REDIRECTS",
  "ERR_DEPRECATED",
  "ERR_BAD_RESPONSE",
  "ERR_BAD_REQUEST",
  "ERR_CANCELED",
  "ERR_NOT_SUPPORT",
  "ERR_INVALID_URL"
  // eslint-disable-next-line func-names
].forEach((e) => {
  Ir[e] = { value: e };
});
Object.defineProperties(E, Ir);
Object.defineProperty(Br, "isAxiosError", { value: !0 });
E.from = (e, t, n, r, o, s) => {
  const i = Object.create(Br);
  return u.toFlatObject(e, i, function(f) {
    return f !== Error.prototype;
  }, (a) => a !== "isAxiosError"), E.call(i, e.message, t, n, r, o), i.cause = e, i.name = e.name, s && Object.assign(i, s), i;
};
const Cl = null;
function pt(e) {
  return u.isPlainObject(e) || u.isArray(e);
}
function kr(e) {
  return u.endsWith(e, "[]") ? e.slice(0, -2) : e;
}
function mn(e, t, n) {
  return e ? e.concat(t).map(function(o, s) {
    return o = kr(o), !n && s ? "[" + o + "]" : o;
  }).join(n ? "." : "") : t;
}
function Nl(e) {
  return u.isArray(e) && !e.some(pt);
}
const jl = u.toFlatObject(u, {}, null, function(t) {
  return /^is[A-Z]/.test(t);
});
function Xe(e, t, n) {
  if (!u.isObject(e))
    throw new TypeError("target must be an object");
  t = t || new FormData(), n = u.toFlatObject(n, {
    metaTokens: !0,
    dots: !1,
    indexes: !1
  }, !1, function(y, h) {
    return !u.isUndefined(h[y]);
  });
  const r = n.metaTokens, o = n.visitor || c, s = n.dots, i = n.indexes, f = (n.Blob || typeof Blob < "u" && Blob) && u.isSpecCompliantForm(t);
  if (!u.isFunction(o))
    throw new TypeError("visitor must be a function");
  function l(d) {
    if (d === null)
      return "";
    if (u.isDate(d))
      return d.toISOString();
    if (!f && u.isBlob(d))
      throw new E("Blob is not supported. Use a Buffer instead.");
    return u.isArrayBuffer(d) || u.isTypedArray(d) ? f && typeof Blob == "function" ? new Blob([d]) : Buffer.from(d) : d;
  }
  function c(d, y, h) {
    let b = d;
    if (d && !h && typeof d == "object") {
      if (u.endsWith(y, "{}"))
        y = r ? y : y.slice(0, -2), d = JSON.stringify(d);
      else if (u.isArray(d) && Nl(d) || (u.isFileList(d) || u.endsWith(y, "[]")) && (b = u.toArray(d)))
        return y = kr(y), b.forEach(function(v, A) {
          !(u.isUndefined(v) || v === null) && t.append(
            // eslint-disable-next-line no-nested-ternary
            i === !0 ? mn([y], A, s) : i === null ? y : y + "[]",
            l(v)
          );
        }), !1;
    }
    return pt(d) ? !0 : (t.append(mn(h, y, s), l(d)), !1);
  }
  const p = [], g = Object.assign(jl, {
    defaultVisitor: c,
    convertValue: l,
    isVisitable: pt
  });
  function m(d, y) {
    if (!u.isUndefined(d)) {
      if (p.indexOf(d) !== -1)
        throw Error("Circular reference detected in " + y.join("."));
      p.push(d), u.forEach(d, function(b, _) {
        (!(u.isUndefined(b) || b === null) && o.call(
          t,
          b,
          u.isString(_) ? _.trim() : _,
          y,
          g
        )) === !0 && m(b, y ? y.concat(_) : [_]);
      }), p.pop();
    }
  }
  if (!u.isObject(e))
    throw new TypeError("data must be an object");
  return m(e), t;
}
function gn(e) {
  const t = {
    "!": "%21",
    "'": "%27",
    "(": "%28",
    ")": "%29",
    "~": "%7E",
    "%20": "+",
    "%00": "\0"
  };
  return encodeURIComponent(e).replace(/[!'()~]|%20|%00/g, function(r) {
    return t[r];
  });
}
function Bt(e, t) {
  this._pairs = [], e && Xe(e, this, t);
}
const Mr = Bt.prototype;
Mr.append = function(t, n) {
  this._pairs.push([t, n]);
};
Mr.toString = function(t) {
  const n = t ? function(r) {
    return t.call(this, r, gn);
  } : gn;
  return this._pairs.map(function(o) {
    return n(o[0]) + "=" + n(o[1]);
  }, "").join("&");
};
function Pl(e) {
  return encodeURIComponent(e).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
}
function qr(e, t, n) {
  if (!t)
    return e;
  const r = n && n.encode || Pl;
  u.isFunction(n) && (n = {
    serialize: n
  });
  const o = n && n.serialize;
  let s;
  if (o ? s = o(t, n) : s = u.isURLSearchParams(t) ? t.toString() : new Bt(t, n).toString(r), s) {
    const i = e.indexOf("#");
    i !== -1 && (e = e.slice(0, i)), e += (e.indexOf("?") === -1 ? "?" : "&") + s;
  }
  return e;
}
class xl {
  constructor() {
    this.handlers = [];
  }
  /**
   * Add a new interceptor to the stack
   *
   * @param {Function} fulfilled The function to handle `then` for a `Promise`
   * @param {Function} rejected The function to handle `reject` for a `Promise`
   *
   * @return {Number} An ID used to remove interceptor later
   */
  use(t, n, r) {
    return this.handlers.push({
      fulfilled: t,
      rejected: n,
      synchronous: r ? r.synchronous : !1,
      runWhen: r ? r.runWhen : null
    }), this.handlers.length - 1;
  }
  /**
   * Remove an interceptor from the stack
   *
   * @param {Number} id The ID that was returned by `use`
   *
   * @returns {Boolean} `true` if the interceptor was removed, `false` otherwise
   */
  eject(t) {
    this.handlers[t] && (this.handlers[t] = null);
  }
  /**
   * Clear all interceptors from the stack
   *
   * @returns {void}
   */
  clear() {
    this.handlers && (this.handlers = []);
  }
  /**
   * Iterate over all the registered interceptors
   *
   * This method is particularly useful for skipping over any
   * interceptors that may have become `null` calling `eject`.
   *
   * @param {Function} fn The function to call for each interceptor
   *
   * @returns {void}
   */
  forEach(t) {
    u.forEach(this.handlers, function(r) {
      r !== null && t(r);
    });
  }
}
const yn = xl, Hr = {
  silentJSONParsing: !0,
  forcedJSONParsing: !0,
  clarifyTimeoutError: !1
}, Fl = typeof URLSearchParams < "u" ? URLSearchParams : Bt, Ul = typeof FormData < "u" ? FormData : null, $l = typeof Blob < "u" ? Blob : null, Ll = {
  isBrowser: !0,
  classes: {
    URLSearchParams: Fl,
    FormData: Ul,
    Blob: $l
  },
  protocols: ["http", "https", "file", "blob", "url", "data"]
}, It = typeof window < "u" && typeof document < "u", dt = typeof navigator == "object" && navigator || void 0, Dl = It && (!dt || ["ReactNative", "NativeScript", "NS"].indexOf(dt.product) < 0), Bl = (() => typeof WorkerGlobalScope < "u" && // eslint-disable-next-line no-undef
self instanceof WorkerGlobalScope && typeof self.importScripts == "function")(), Il = It && window.location.href || "http://localhost", kl = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  hasBrowserEnv: It,
  hasStandardBrowserEnv: Dl,
  hasStandardBrowserWebWorkerEnv: Bl,
  navigator: dt,
  origin: Il
}, Symbol.toStringTag, { value: "Module" })), S = {
  ...kl,
  ...Ll
};
function Ml(e, t) {
  return Xe(e, new S.classes.URLSearchParams(), Object.assign({
    visitor: function(n, r, o, s) {
      return S.isNode && u.isBuffer(n) ? (this.append(r, n.toString("base64")), !1) : s.defaultVisitor.apply(this, arguments);
    }
  }, t));
}
function ql(e) {
  return u.matchAll(/\w+|\[(\w*)]/g, e).map((t) => t[0] === "[]" ? "" : t[1] || t[0]);
}
function Hl(e) {
  const t = {}, n = Object.keys(e);
  let r;
  const o = n.length;
  let s;
  for (r = 0; r < o; r++)
    s = n[r], t[s] = e[s];
  return t;
}
function Gr(e) {
  function t(n, r, o, s) {
    let i = n[s++];
    if (i === "__proto__")
      return !0;
    const a = Number.isFinite(+i), f = s >= n.length;
    return i = !i && u.isArray(o) ? o.length : i, f ? (u.hasOwnProp(o, i) ? o[i] = [o[i], r] : o[i] = r, !a) : ((!o[i] || !u.isObject(o[i])) && (o[i] = []), t(n, r, o[i], s) && u.isArray(o[i]) && (o[i] = Hl(o[i])), !a);
  }
  if (u.isFormData(e) && u.isFunction(e.entries)) {
    const n = {};
    return u.forEachEntry(e, (r, o) => {
      t(ql(r), o, n, 0);
    }), n;
  }
  return null;
}
function Gl(e, t, n) {
  if (u.isString(e))
    try {
      return (t || JSON.parse)(e), u.trim(e);
    } catch (r) {
      if (r.name !== "SyntaxError")
        throw r;
    }
  return (n || JSON.stringify)(e);
}
const kt = {
  transitional: Hr,
  adapter: ["xhr", "http", "fetch"],
  transformRequest: [function(t, n) {
    const r = n.getContentType() || "", o = r.indexOf("application/json") > -1, s = u.isObject(t);
    if (s && u.isHTMLForm(t) && (t = new FormData(t)), u.isFormData(t))
      return o ? JSON.stringify(Gr(t)) : t;
    if (u.isArrayBuffer(t) || u.isBuffer(t) || u.isStream(t) || u.isFile(t) || u.isBlob(t) || u.isReadableStream(t))
      return t;
    if (u.isArrayBufferView(t))
      return t.buffer;
    if (u.isURLSearchParams(t))
      return n.setContentType("application/x-www-form-urlencoded;charset=utf-8", !1), t.toString();
    let a;
    if (s) {
      if (r.indexOf("application/x-www-form-urlencoded") > -1)
        return Ml(t, this.formSerializer).toString();
      if ((a = u.isFileList(t)) || r.indexOf("multipart/form-data") > -1) {
        const f = this.env && this.env.FormData;
        return Xe(
          a ? { "files[]": t } : t,
          f && new f(),
          this.formSerializer
        );
      }
    }
    return s || o ? (n.setContentType("application/json", !1), Gl(t)) : t;
  }],
  transformResponse: [function(t) {
    const n = this.transitional || kt.transitional, r = n && n.forcedJSONParsing, o = this.responseType === "json";
    if (u.isResponse(t) || u.isReadableStream(t))
      return t;
    if (t && u.isString(t) && (r && !this.responseType || o)) {
      const i = !(n && n.silentJSONParsing) && o;
      try {
        return JSON.parse(t);
      } catch (a) {
        if (i)
          throw a.name === "SyntaxError" ? E.from(a, E.ERR_BAD_RESPONSE, this, null, this.response) : a;
      }
    }
    return t;
  }],
  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,
  xsrfCookieName: "XSRF-TOKEN",
  xsrfHeaderName: "X-XSRF-TOKEN",
  maxContentLength: -1,
  maxBodyLength: -1,
  env: {
    FormData: S.classes.FormData,
    Blob: S.classes.Blob
  },
  validateStatus: function(t) {
    return t >= 200 && t < 300;
  },
  headers: {
    common: {
      Accept: "application/json, text/plain, */*",
      "Content-Type": void 0
    }
  }
};
u.forEach(["delete", "get", "head", "post", "put", "patch"], (e) => {
  kt.headers[e] = {};
});
const Mt = kt, Kl = u.toObjectSet([
  "age",
  "authorization",
  "content-length",
  "content-type",
  "etag",
  "expires",
  "from",
  "host",
  "if-modified-since",
  "if-unmodified-since",
  "last-modified",
  "location",
  "max-forwards",
  "proxy-authorization",
  "referer",
  "retry-after",
  "user-agent"
]), Wl = (e) => {
  const t = {};
  let n, r, o;
  return e && e.split(`
`).forEach(function(i) {
    o = i.indexOf(":"), n = i.substring(0, o).trim().toLowerCase(), r = i.substring(o + 1).trim(), !(!n || t[n] && Kl[n]) && (n === "set-cookie" ? t[n] ? t[n].push(r) : t[n] = [r] : t[n] = t[n] ? t[n] + ", " + r : r);
  }), t;
}, _n = Symbol("internals");
function le(e) {
  return e && String(e).trim().toLowerCase();
}
function Ae(e) {
  return e === !1 || e == null ? e : u.isArray(e) ? e.map(Ae) : String(e);
}
function zl(e) {
  const t = /* @__PURE__ */ Object.create(null), n = /([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;
  let r;
  for (; r = n.exec(e); )
    t[r[1]] = r[2];
  return t;
}
const Jl = (e) => /^[-_a-zA-Z0-9^`|~,!#$%&'*+.]+$/.test(e.trim());
function st(e, t, n, r, o) {
  if (u.isFunction(r))
    return r.call(this, t, n);
  if (o && (t = n), !!u.isString(t)) {
    if (u.isString(r))
      return t.indexOf(r) !== -1;
    if (u.isRegExp(r))
      return r.test(t);
  }
}
function Vl(e) {
  return e.trim().toLowerCase().replace(/([a-z\d])(\w*)/g, (t, n, r) => n.toUpperCase() + r);
}
function Xl(e, t) {
  const n = u.toCamelCase(" " + t);
  ["get", "set", "has"].forEach((r) => {
    Object.defineProperty(e, r + n, {
      value: function(o, s, i) {
        return this[r].call(this, t, o, s, i);
      },
      configurable: !0
    });
  });
}
class Qe {
  constructor(t) {
    t && this.set(t);
  }
  set(t, n, r) {
    const o = this;
    function s(a, f, l) {
      const c = le(f);
      if (!c)
        throw new Error("header name must be a non-empty string");
      const p = u.findKey(o, c);
      (!p || o[p] === void 0 || l === !0 || l === void 0 && o[p] !== !1) && (o[p || f] = Ae(a));
    }
    const i = (a, f) => u.forEach(a, (l, c) => s(l, c, f));
    if (u.isPlainObject(t) || t instanceof this.constructor)
      i(t, n);
    else if (u.isString(t) && (t = t.trim()) && !Jl(t))
      i(Wl(t), n);
    else if (u.isHeaders(t))
      for (const [a, f] of t.entries())
        s(f, a, r);
    else
      t != null && s(n, t, r);
    return this;
  }
  get(t, n) {
    if (t = le(t), t) {
      const r = u.findKey(this, t);
      if (r) {
        const o = this[r];
        if (!n)
          return o;
        if (n === !0)
          return zl(o);
        if (u.isFunction(n))
          return n.call(this, o, r);
        if (u.isRegExp(n))
          return n.exec(o);
        throw new TypeError("parser must be boolean|regexp|function");
      }
    }
  }
  has(t, n) {
    if (t = le(t), t) {
      const r = u.findKey(this, t);
      return !!(r && this[r] !== void 0 && (!n || st(this, this[r], r, n)));
    }
    return !1;
  }
  delete(t, n) {
    const r = this;
    let o = !1;
    function s(i) {
      if (i = le(i), i) {
        const a = u.findKey(r, i);
        a && (!n || st(r, r[a], a, n)) && (delete r[a], o = !0);
      }
    }
    return u.isArray(t) ? t.forEach(s) : s(t), o;
  }
  clear(t) {
    const n = Object.keys(this);
    let r = n.length, o = !1;
    for (; r--; ) {
      const s = n[r];
      (!t || st(this, this[s], s, t, !0)) && (delete this[s], o = !0);
    }
    return o;
  }
  normalize(t) {
    const n = this, r = {};
    return u.forEach(this, (o, s) => {
      const i = u.findKey(r, s);
      if (i) {
        n[i] = Ae(o), delete n[s];
        return;
      }
      const a = t ? Vl(s) : String(s).trim();
      a !== s && delete n[s], n[a] = Ae(o), r[a] = !0;
    }), this;
  }
  concat(...t) {
    return this.constructor.concat(this, ...t);
  }
  toJSON(t) {
    const n = /* @__PURE__ */ Object.create(null);
    return u.forEach(this, (r, o) => {
      r != null && r !== !1 && (n[o] = t && u.isArray(r) ? r.join(", ") : r);
    }), n;
  }
  [Symbol.iterator]() {
    return Object.entries(this.toJSON())[Symbol.iterator]();
  }
  toString() {
    return Object.entries(this.toJSON()).map(([t, n]) => t + ": " + n).join(`
`);
  }
  get [Symbol.toStringTag]() {
    return "AxiosHeaders";
  }
  static from(t) {
    return t instanceof this ? t : new this(t);
  }
  static concat(t, ...n) {
    const r = new this(t);
    return n.forEach((o) => r.set(o)), r;
  }
  static accessor(t) {
    const r = (this[_n] = this[_n] = {
      accessors: {}
    }).accessors, o = this.prototype;
    function s(i) {
      const a = le(i);
      r[a] || (Xl(o, i), r[a] = !0);
    }
    return u.isArray(t) ? t.forEach(s) : s(t), this;
  }
}
Qe.accessor(["Content-Type", "Content-Length", "Accept", "Accept-Encoding", "User-Agent", "Authorization"]);
u.reduceDescriptors(Qe.prototype, ({ value: e }, t) => {
  let n = t[0].toUpperCase() + t.slice(1);
  return {
    get: () => e,
    set(r) {
      this[n] = r;
    }
  };
});
u.freezeMethods(Qe);
const P = Qe;
function it(e, t) {
  const n = this || Mt, r = t || n, o = P.from(r.headers);
  let s = r.data;
  return u.forEach(e, function(a) {
    s = a.call(n, s, o.normalize(), t ? t.status : void 0);
  }), o.normalize(), s;
}
function Kr(e) {
  return !!(e && e.__CANCEL__);
}
function ue(e, t, n) {
  E.call(this, e ?? "canceled", E.ERR_CANCELED, t, n), this.name = "CanceledError";
}
u.inherits(ue, E, {
  __CANCEL__: !0
});
function Wr(e, t, n) {
  const r = n.config.validateStatus;
  !n.status || !r || r(n.status) ? e(n) : t(new E(
    "Request failed with status code " + n.status,
    [E.ERR_BAD_REQUEST, E.ERR_BAD_RESPONSE][Math.floor(n.status / 100) - 4],
    n.config,
    n.request,
    n
  ));
}
function Ql(e) {
  const t = /^([-+\w]{1,25})(:?\/\/|:)/.exec(e);
  return t && t[1] || "";
}
function Zl(e, t) {
  e = e || 10;
  const n = new Array(e), r = new Array(e);
  let o = 0, s = 0, i;
  return t = t !== void 0 ? t : 1e3, function(f) {
    const l = Date.now(), c = r[s];
    i || (i = l), n[o] = f, r[o] = l;
    let p = s, g = 0;
    for (; p !== o; )
      g += n[p++], p = p % e;
    if (o = (o + 1) % e, o === s && (s = (s + 1) % e), l - i < t)
      return;
    const m = c && l - c;
    return m ? Math.round(g * 1e3 / m) : void 0;
  };
}
function Yl(e, t) {
  let n = 0, r = 1e3 / t, o, s;
  const i = (l, c = Date.now()) => {
    n = c, o = null, s && (clearTimeout(s), s = null), e.apply(null, l);
  };
  return [(...l) => {
    const c = Date.now(), p = c - n;
    p >= r ? i(l, c) : (o = l, s || (s = setTimeout(() => {
      s = null, i(o);
    }, r - p)));
  }, () => o && i(o)];
}
const Fe = (e, t, n = 3) => {
  let r = 0;
  const o = Zl(50, 250);
  return Yl((s) => {
    const i = s.loaded, a = s.lengthComputable ? s.total : void 0, f = i - r, l = o(f), c = i <= a;
    r = i;
    const p = {
      loaded: i,
      total: a,
      progress: a ? i / a : void 0,
      bytes: f,
      rate: l || void 0,
      estimated: l && a && c ? (a - i) / l : void 0,
      event: s,
      lengthComputable: a != null,
      [t ? "download" : "upload"]: !0
    };
    e(p);
  }, n);
}, En = (e, t) => {
  const n = e != null;
  return [(r) => t[0]({
    lengthComputable: n,
    total: e,
    loaded: r
  }), t[1]];
}, bn = (e) => (...t) => u.asap(() => e(...t)), ef = S.hasStandardBrowserEnv ? ((e, t) => (n) => (n = new URL(n, S.origin), e.protocol === n.protocol && e.host === n.host && (t || e.port === n.port)))(
  new URL(S.origin),
  S.navigator && /(msie|trident)/i.test(S.navigator.userAgent)
) : () => !0, tf = S.hasStandardBrowserEnv ? (
  // Standard browser envs support document.cookie
  {
    write(e, t, n, r, o, s) {
      const i = [e + "=" + encodeURIComponent(t)];
      u.isNumber(n) && i.push("expires=" + new Date(n).toGMTString()), u.isString(r) && i.push("path=" + r), u.isString(o) && i.push("domain=" + o), s === !0 && i.push("secure"), document.cookie = i.join("; ");
    },
    read(e) {
      const t = document.cookie.match(new RegExp("(^|;\\s*)(" + e + ")=([^;]*)"));
      return t ? decodeURIComponent(t[3]) : null;
    },
    remove(e) {
      this.write(e, "", Date.now() - 864e5);
    }
  }
) : (
  // Non-standard browser env (web workers, react-native) lack needed support.
  {
    write() {
    },
    read() {
      return null;
    },
    remove() {
    }
  }
);
function nf(e) {
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(e);
}
function rf(e, t) {
  return t ? e.replace(/\/?\/$/, "") + "/" + t.replace(/^\/+/, "") : e;
}
function zr(e, t, n) {
  let r = !nf(t);
  return e && (r || n == !1) ? rf(e, t) : t;
}
const Rn = (e) => e instanceof P ? { ...e } : e;
function J(e, t) {
  t = t || {};
  const n = {};
  function r(l, c, p, g) {
    return u.isPlainObject(l) && u.isPlainObject(c) ? u.merge.call({ caseless: g }, l, c) : u.isPlainObject(c) ? u.merge({}, c) : u.isArray(c) ? c.slice() : c;
  }
  function o(l, c, p, g) {
    if (u.isUndefined(c)) {
      if (!u.isUndefined(l))
        return r(void 0, l, p, g);
    } else
      return r(l, c, p, g);
  }
  function s(l, c) {
    if (!u.isUndefined(c))
      return r(void 0, c);
  }
  function i(l, c) {
    if (u.isUndefined(c)) {
      if (!u.isUndefined(l))
        return r(void 0, l);
    } else
      return r(void 0, c);
  }
  function a(l, c, p) {
    if (p in t)
      return r(l, c);
    if (p in e)
      return r(void 0, l);
  }
  const f = {
    url: s,
    method: s,
    data: s,
    baseURL: i,
    transformRequest: i,
    transformResponse: i,
    paramsSerializer: i,
    timeout: i,
    timeoutMessage: i,
    withCredentials: i,
    withXSRFToken: i,
    adapter: i,
    responseType: i,
    xsrfCookieName: i,
    xsrfHeaderName: i,
    onUploadProgress: i,
    onDownloadProgress: i,
    decompress: i,
    maxContentLength: i,
    maxBodyLength: i,
    beforeRedirect: i,
    transport: i,
    httpAgent: i,
    httpsAgent: i,
    cancelToken: i,
    socketPath: i,
    responseEncoding: i,
    validateStatus: a,
    headers: (l, c, p) => o(Rn(l), Rn(c), p, !0)
  };
  return u.forEach(Object.keys(Object.assign({}, e, t)), function(c) {
    const p = f[c] || o, g = p(e[c], t[c], c);
    u.isUndefined(g) && p !== a || (n[c] = g);
  }), n;
}
const Jr = (e) => {
  const t = J({}, e);
  let { data: n, withXSRFToken: r, xsrfHeaderName: o, xsrfCookieName: s, headers: i, auth: a } = t;
  t.headers = i = P.from(i), t.url = qr(zr(t.baseURL, t.url, t.allowAbsoluteUrls), e.params, e.paramsSerializer), a && i.set(
    "Authorization",
    "Basic " + btoa((a.username || "") + ":" + (a.password ? unescape(encodeURIComponent(a.password)) : ""))
  );
  let f;
  if (u.isFormData(n)) {
    if (S.hasStandardBrowserEnv || S.hasStandardBrowserWebWorkerEnv)
      i.setContentType(void 0);
    else if ((f = i.getContentType()) !== !1) {
      const [l, ...c] = f ? f.split(";").map((p) => p.trim()).filter(Boolean) : [];
      i.setContentType([l || "multipart/form-data", ...c].join("; "));
    }
  }
  if (S.hasStandardBrowserEnv && (r && u.isFunction(r) && (r = r(t)), r || r !== !1 && ef(t.url))) {
    const l = o && s && tf.read(s);
    l && i.set(o, l);
  }
  return t;
}, of = typeof XMLHttpRequest < "u", sf = of && function(e) {
  return new Promise(function(n, r) {
    const o = Jr(e);
    let s = o.data;
    const i = P.from(o.headers).normalize();
    let { responseType: a, onUploadProgress: f, onDownloadProgress: l } = o, c, p, g, m, d;
    function y() {
      m && m(), d && d(), o.cancelToken && o.cancelToken.unsubscribe(c), o.signal && o.signal.removeEventListener("abort", c);
    }
    let h = new XMLHttpRequest();
    h.open(o.method.toUpperCase(), o.url, !0), h.timeout = o.timeout;
    function b() {
      if (!h)
        return;
      const v = P.from(
        "getAllResponseHeaders" in h && h.getAllResponseHeaders()
      ), O = {
        data: !a || a === "text" || a === "json" ? h.responseText : h.response,
        status: h.status,
        statusText: h.statusText,
        headers: v,
        config: e,
        request: h
      };
      Wr(function(U) {
        n(U), y();
      }, function(U) {
        r(U), y();
      }, O), h = null;
    }
    "onloadend" in h ? h.onloadend = b : h.onreadystatechange = function() {
      !h || h.readyState !== 4 || h.status === 0 && !(h.responseURL && h.responseURL.indexOf("file:") === 0) || setTimeout(b);
    }, h.onabort = function() {
      h && (r(new E("Request aborted", E.ECONNABORTED, e, h)), h = null);
    }, h.onerror = function() {
      r(new E("Network Error", E.ERR_NETWORK, e, h)), h = null;
    }, h.ontimeout = function() {
      let A = o.timeout ? "timeout of " + o.timeout + "ms exceeded" : "timeout exceeded";
      const O = o.transitional || Hr;
      o.timeoutErrorMessage && (A = o.timeoutErrorMessage), r(new E(
        A,
        O.clarifyTimeoutError ? E.ETIMEDOUT : E.ECONNABORTED,
        e,
        h
      )), h = null;
    }, s === void 0 && i.setContentType(null), "setRequestHeader" in h && u.forEach(i.toJSON(), function(A, O) {
      h.setRequestHeader(O, A);
    }), u.isUndefined(o.withCredentials) || (h.withCredentials = !!o.withCredentials), a && a !== "json" && (h.responseType = o.responseType), l && ([g, d] = Fe(l, !0), h.addEventListener("progress", g)), f && h.upload && ([p, m] = Fe(f), h.upload.addEventListener("progress", p), h.upload.addEventListener("loadend", m)), (o.cancelToken || o.signal) && (c = (v) => {
      h && (r(!v || v.type ? new ue(null, e, h) : v), h.abort(), h = null);
    }, o.cancelToken && o.cancelToken.subscribe(c), o.signal && (o.signal.aborted ? c() : o.signal.addEventListener("abort", c)));
    const _ = Ql(o.url);
    if (_ && S.protocols.indexOf(_) === -1) {
      r(new E("Unsupported protocol " + _ + ":", E.ERR_BAD_REQUEST, e));
      return;
    }
    h.send(s || null);
  });
}, af = (e, t) => {
  const { length: n } = e = e ? e.filter(Boolean) : [];
  if (t || n) {
    let r = new AbortController(), o;
    const s = function(l) {
      if (!o) {
        o = !0, a();
        const c = l instanceof Error ? l : this.reason;
        r.abort(c instanceof E ? c : new ue(c instanceof Error ? c.message : c));
      }
    };
    let i = t && setTimeout(() => {
      i = null, s(new E(`timeout ${t} of ms exceeded`, E.ETIMEDOUT));
    }, t);
    const a = () => {
      e && (i && clearTimeout(i), i = null, e.forEach((l) => {
        l.unsubscribe ? l.unsubscribe(s) : l.removeEventListener("abort", s);
      }), e = null);
    };
    e.forEach((l) => l.addEventListener("abort", s));
    const { signal: f } = r;
    return f.unsubscribe = () => u.asap(a), f;
  }
}, cf = af, uf = function* (e, t) {
  let n = e.byteLength;
  if (!t || n < t) {
    yield e;
    return;
  }
  let r = 0, o;
  for (; r < n; )
    o = r + t, yield e.slice(r, o), r = o;
}, lf = async function* (e, t) {
  for await (const n of ff(e))
    yield* uf(n, t);
}, ff = async function* (e) {
  if (e[Symbol.asyncIterator]) {
    yield* e;
    return;
  }
  const t = e.getReader();
  try {
    for (; ; ) {
      const { done: n, value: r } = await t.read();
      if (n)
        break;
      yield r;
    }
  } finally {
    await t.cancel();
  }
}, vn = (e, t, n, r) => {
  const o = lf(e, t);
  let s = 0, i, a = (f) => {
    i || (i = !0, r && r(f));
  };
  return new ReadableStream({
    async pull(f) {
      try {
        const { done: l, value: c } = await o.next();
        if (l) {
          a(), f.close();
          return;
        }
        let p = c.byteLength;
        if (n) {
          let g = s += p;
          n(g);
        }
        f.enqueue(new Uint8Array(c));
      } catch (l) {
        throw a(l), l;
      }
    },
    cancel(f) {
      return a(f), o.return();
    }
  }, {
    highWaterMark: 2
  });
}, Ze = typeof fetch == "function" && typeof Request == "function" && typeof Response == "function", Vr = Ze && typeof ReadableStream == "function", pf = Ze && (typeof TextEncoder == "function" ? ((e) => (t) => e.encode(t))(new TextEncoder()) : async (e) => new Uint8Array(await new Response(e).arrayBuffer())), Xr = (e, ...t) => {
  try {
    return !!e(...t);
  } catch {
    return !1;
  }
}, df = Vr && Xr(() => {
  let e = !1;
  const t = new Request(S.origin, {
    body: new ReadableStream(),
    method: "POST",
    get duplex() {
      return e = !0, "half";
    }
  }).headers.has("Content-Type");
  return e && !t;
}), wn = 64 * 1024, ht = Vr && Xr(() => u.isReadableStream(new Response("").body)), Ue = {
  stream: ht && ((e) => e.body)
};
Ze && ((e) => {
  ["text", "arrayBuffer", "blob", "formData", "stream"].forEach((t) => {
    !Ue[t] && (Ue[t] = u.isFunction(e[t]) ? (n) => n[t]() : (n, r) => {
      throw new E(`Response type '${t}' is not supported`, E.ERR_NOT_SUPPORT, r);
    });
  });
})(new Response());
const hf = async (e) => {
  if (e == null)
    return 0;
  if (u.isBlob(e))
    return e.size;
  if (u.isSpecCompliantForm(e))
    return (await new Request(S.origin, {
      method: "POST",
      body: e
    }).arrayBuffer()).byteLength;
  if (u.isArrayBufferView(e) || u.isArrayBuffer(e))
    return e.byteLength;
  if (u.isURLSearchParams(e) && (e = e + ""), u.isString(e))
    return (await pf(e)).byteLength;
}, mf = async (e, t) => {
  const n = u.toFiniteNumber(e.getContentLength());
  return n ?? hf(t);
}, gf = Ze && (async (e) => {
  let {
    url: t,
    method: n,
    data: r,
    signal: o,
    cancelToken: s,
    timeout: i,
    onDownloadProgress: a,
    onUploadProgress: f,
    responseType: l,
    headers: c,
    withCredentials: p = "same-origin",
    fetchOptions: g
  } = Jr(e);
  l = l ? (l + "").toLowerCase() : "text";
  let m = cf([o, s && s.toAbortSignal()], i), d;
  const y = m && m.unsubscribe && (() => {
    m.unsubscribe();
  });
  let h;
  try {
    if (f && df && n !== "get" && n !== "head" && (h = await mf(c, r)) !== 0) {
      let O = new Request(t, {
        method: "POST",
        body: r,
        duplex: "half"
      }), F;
      if (u.isFormData(r) && (F = O.headers.get("content-type")) && c.setContentType(F), O.body) {
        const [U, L] = En(
          h,
          Fe(bn(f))
        );
        r = vn(O.body, wn, U, L);
      }
    }
    u.isString(p) || (p = p ? "include" : "omit");
    const b = "credentials" in Request.prototype;
    d = new Request(t, {
      ...g,
      signal: m,
      method: n.toUpperCase(),
      headers: c.normalize().toJSON(),
      body: r,
      duplex: "half",
      credentials: b ? p : void 0
    });
    let _ = await fetch(d);
    const v = ht && (l === "stream" || l === "response");
    if (ht && (a || v && y)) {
      const O = {};
      ["status", "statusText", "headers"].forEach((Ht) => {
        O[Ht] = _[Ht];
      });
      const F = u.toFiniteNumber(_.headers.get("content-length")), [U, L] = a && En(
        F,
        Fe(bn(a), !0)
      ) || [];
      _ = new Response(
        vn(_.body, wn, U, () => {
          L && L(), y && y();
        }),
        O
      );
    }
    l = l || "text";
    let A = await Ue[u.findKey(Ue, l) || "text"](_, e);
    return !v && y && y(), await new Promise((O, F) => {
      Wr(O, F, {
        data: A,
        headers: P.from(_.headers),
        status: _.status,
        statusText: _.statusText,
        config: e,
        request: d
      });
    });
  } catch (b) {
    throw y && y(), b && b.name === "TypeError" && /fetch/i.test(b.message) ? Object.assign(
      new E("Network Error", E.ERR_NETWORK, e, d),
      {
        cause: b.cause || b
      }
    ) : E.from(b, b && b.code, e, d);
  }
}), mt = {
  http: Cl,
  xhr: sf,
  fetch: gf
};
u.forEach(mt, (e, t) => {
  if (e) {
    try {
      Object.defineProperty(e, "name", { value: t });
    } catch {
    }
    Object.defineProperty(e, "adapterName", { value: t });
  }
});
const On = (e) => `- ${e}`, yf = (e) => u.isFunction(e) || e === null || e === !1, Qr = {
  getAdapter: (e) => {
    e = u.isArray(e) ? e : [e];
    const { length: t } = e;
    let n, r;
    const o = {};
    for (let s = 0; s < t; s++) {
      n = e[s];
      let i;
      if (r = n, !yf(n) && (r = mt[(i = String(n)).toLowerCase()], r === void 0))
        throw new E(`Unknown adapter '${i}'`);
      if (r)
        break;
      o[i || "#" + s] = r;
    }
    if (!r) {
      const s = Object.entries(o).map(
        ([a, f]) => `adapter ${a} ` + (f === !1 ? "is not supported by the environment" : "is not available in the build")
      );
      let i = t ? s.length > 1 ? `since :
` + s.map(On).join(`
`) : " " + On(s[0]) : "as no adapter specified";
      throw new E(
        "There is no suitable adapter to dispatch the request " + i,
        "ERR_NOT_SUPPORT"
      );
    }
    return r;
  },
  adapters: mt
};
function at(e) {
  if (e.cancelToken && e.cancelToken.throwIfRequested(), e.signal && e.signal.aborted)
    throw new ue(null, e);
}
function Sn(e) {
  return at(e), e.headers = P.from(e.headers), e.data = it.call(
    e,
    e.transformRequest
  ), ["post", "put", "patch"].indexOf(e.method) !== -1 && e.headers.setContentType("application/x-www-form-urlencoded", !1), Qr.getAdapter(e.adapter || Mt.adapter)(e).then(function(r) {
    return at(e), r.data = it.call(
      e,
      e.transformResponse,
      r
    ), r.headers = P.from(r.headers), r;
  }, function(r) {
    return Kr(r) || (at(e), r && r.response && (r.response.data = it.call(
      e,
      e.transformResponse,
      r.response
    ), r.response.headers = P.from(r.response.headers))), Promise.reject(r);
  });
}
const Zr = "1.8.4", Ye = {};
["object", "boolean", "number", "function", "string", "symbol"].forEach((e, t) => {
  Ye[e] = function(r) {
    return typeof r === e || "a" + (t < 1 ? "n " : " ") + e;
  };
});
const Tn = {};
Ye.transitional = function(t, n, r) {
  function o(s, i) {
    return "[Axios v" + Zr + "] Transitional option '" + s + "'" + i + (r ? ". " + r : "");
  }
  return (s, i, a) => {
    if (t === !1)
      throw new E(
        o(i, " has been removed" + (n ? " in " + n : "")),
        E.ERR_DEPRECATED
      );
    return n && !Tn[i] && (Tn[i] = !0, console.warn(
      o(
        i,
        " has been deprecated since v" + n + " and will be removed in the near future"
      )
    )), t ? t(s, i, a) : !0;
  };
};
Ye.spelling = function(t) {
  return (n, r) => (console.warn(`${r} is likely a misspelling of ${t}`), !0);
};
function _f(e, t, n) {
  if (typeof e != "object")
    throw new E("options must be an object", E.ERR_BAD_OPTION_VALUE);
  const r = Object.keys(e);
  let o = r.length;
  for (; o-- > 0; ) {
    const s = r[o], i = t[s];
    if (i) {
      const a = e[s], f = a === void 0 || i(a, s, e);
      if (f !== !0)
        throw new E("option " + s + " must be " + f, E.ERR_BAD_OPTION_VALUE);
      continue;
    }
    if (n !== !0)
      throw new E("Unknown option " + s, E.ERR_BAD_OPTION);
  }
}
const Ce = {
  assertOptions: _f,
  validators: Ye
}, $ = Ce.validators;
class $e {
  constructor(t) {
    this.defaults = t, this.interceptors = {
      request: new yn(),
      response: new yn()
    };
  }
  /**
   * Dispatch a request
   *
   * @param {String|Object} configOrUrl The config specific for this request (merged with this.defaults)
   * @param {?Object} config
   *
   * @returns {Promise} The Promise to be fulfilled
   */
  async request(t, n) {
    try {
      return await this._request(t, n);
    } catch (r) {
      if (r instanceof Error) {
        let o = {};
        Error.captureStackTrace ? Error.captureStackTrace(o) : o = new Error();
        const s = o.stack ? o.stack.replace(/^.+\n/, "") : "";
        try {
          r.stack ? s && !String(r.stack).endsWith(s.replace(/^.+\n.+\n/, "")) && (r.stack += `
` + s) : r.stack = s;
        } catch {
        }
      }
      throw r;
    }
  }
  _request(t, n) {
    typeof t == "string" ? (n = n || {}, n.url = t) : n = t || {}, n = J(this.defaults, n);
    const { transitional: r, paramsSerializer: o, headers: s } = n;
    r !== void 0 && Ce.assertOptions(r, {
      silentJSONParsing: $.transitional($.boolean),
      forcedJSONParsing: $.transitional($.boolean),
      clarifyTimeoutError: $.transitional($.boolean)
    }, !1), o != null && (u.isFunction(o) ? n.paramsSerializer = {
      serialize: o
    } : Ce.assertOptions(o, {
      encode: $.function,
      serialize: $.function
    }, !0)), n.allowAbsoluteUrls !== void 0 || (this.defaults.allowAbsoluteUrls !== void 0 ? n.allowAbsoluteUrls = this.defaults.allowAbsoluteUrls : n.allowAbsoluteUrls = !0), Ce.assertOptions(n, {
      baseUrl: $.spelling("baseURL"),
      withXsrfToken: $.spelling("withXSRFToken")
    }, !0), n.method = (n.method || this.defaults.method || "get").toLowerCase();
    let i = s && u.merge(
      s.common,
      s[n.method]
    );
    s && u.forEach(
      ["delete", "get", "head", "post", "put", "patch", "common"],
      (d) => {
        delete s[d];
      }
    ), n.headers = P.concat(i, s);
    const a = [];
    let f = !0;
    this.interceptors.request.forEach(function(y) {
      typeof y.runWhen == "function" && y.runWhen(n) === !1 || (f = f && y.synchronous, a.unshift(y.fulfilled, y.rejected));
    });
    const l = [];
    this.interceptors.response.forEach(function(y) {
      l.push(y.fulfilled, y.rejected);
    });
    let c, p = 0, g;
    if (!f) {
      const d = [Sn.bind(this), void 0];
      for (d.unshift.apply(d, a), d.push.apply(d, l), g = d.length, c = Promise.resolve(n); p < g; )
        c = c.then(d[p++], d[p++]);
      return c;
    }
    g = a.length;
    let m = n;
    for (p = 0; p < g; ) {
      const d = a[p++], y = a[p++];
      try {
        m = d(m);
      } catch (h) {
        y.call(this, h);
        break;
      }
    }
    try {
      c = Sn.call(this, m);
    } catch (d) {
      return Promise.reject(d);
    }
    for (p = 0, g = l.length; p < g; )
      c = c.then(l[p++], l[p++]);
    return c;
  }
  getUri(t) {
    t = J(this.defaults, t);
    const n = zr(t.baseURL, t.url, t.allowAbsoluteUrls);
    return qr(n, t.params, t.paramsSerializer);
  }
}
u.forEach(["delete", "get", "head", "options"], function(t) {
  $e.prototype[t] = function(n, r) {
    return this.request(J(r || {}, {
      method: t,
      url: n,
      data: (r || {}).data
    }));
  };
});
u.forEach(["post", "put", "patch"], function(t) {
  function n(r) {
    return function(s, i, a) {
      return this.request(J(a || {}, {
        method: t,
        headers: r ? {
          "Content-Type": "multipart/form-data"
        } : {},
        url: s,
        data: i
      }));
    };
  }
  $e.prototype[t] = n(), $e.prototype[t + "Form"] = n(!0);
});
const Ne = $e;
class qt {
  constructor(t) {
    if (typeof t != "function")
      throw new TypeError("executor must be a function.");
    let n;
    this.promise = new Promise(function(s) {
      n = s;
    });
    const r = this;
    this.promise.then((o) => {
      if (!r._listeners)
        return;
      let s = r._listeners.length;
      for (; s-- > 0; )
        r._listeners[s](o);
      r._listeners = null;
    }), this.promise.then = (o) => {
      let s;
      const i = new Promise((a) => {
        r.subscribe(a), s = a;
      }).then(o);
      return i.cancel = function() {
        r.unsubscribe(s);
      }, i;
    }, t(function(s, i, a) {
      r.reason || (r.reason = new ue(s, i, a), n(r.reason));
    });
  }
  /**
   * Throws a `CanceledError` if cancellation has been requested.
   */
  throwIfRequested() {
    if (this.reason)
      throw this.reason;
  }
  /**
   * Subscribe to the cancel signal
   */
  subscribe(t) {
    if (this.reason) {
      t(this.reason);
      return;
    }
    this._listeners ? this._listeners.push(t) : this._listeners = [t];
  }
  /**
   * Unsubscribe from the cancel signal
   */
  unsubscribe(t) {
    if (!this._listeners)
      return;
    const n = this._listeners.indexOf(t);
    n !== -1 && this._listeners.splice(n, 1);
  }
  toAbortSignal() {
    const t = new AbortController(), n = (r) => {
      t.abort(r);
    };
    return this.subscribe(n), t.signal.unsubscribe = () => this.unsubscribe(n), t.signal;
  }
  /**
   * Returns an object that contains a new `CancelToken` and a function that, when called,
   * cancels the `CancelToken`.
   */
  static source() {
    let t;
    return {
      token: new qt(function(o) {
        t = o;
      }),
      cancel: t
    };
  }
}
const Ef = qt;
function bf(e) {
  return function(n) {
    return e.apply(null, n);
  };
}
function Rf(e) {
  return u.isObject(e) && e.isAxiosError === !0;
}
const gt = {
  Continue: 100,
  SwitchingProtocols: 101,
  Processing: 102,
  EarlyHints: 103,
  Ok: 200,
  Created: 201,
  Accepted: 202,
  NonAuthoritativeInformation: 203,
  NoContent: 204,
  ResetContent: 205,
  PartialContent: 206,
  MultiStatus: 207,
  AlreadyReported: 208,
  ImUsed: 226,
  MultipleChoices: 300,
  MovedPermanently: 301,
  Found: 302,
  SeeOther: 303,
  NotModified: 304,
  UseProxy: 305,
  Unused: 306,
  TemporaryRedirect: 307,
  PermanentRedirect: 308,
  BadRequest: 400,
  Unauthorized: 401,
  PaymentRequired: 402,
  Forbidden: 403,
  NotFound: 404,
  MethodNotAllowed: 405,
  NotAcceptable: 406,
  ProxyAuthenticationRequired: 407,
  RequestTimeout: 408,
  Conflict: 409,
  Gone: 410,
  LengthRequired: 411,
  PreconditionFailed: 412,
  PayloadTooLarge: 413,
  UriTooLong: 414,
  UnsupportedMediaType: 415,
  RangeNotSatisfiable: 416,
  ExpectationFailed: 417,
  ImATeapot: 418,
  MisdirectedRequest: 421,
  UnprocessableEntity: 422,
  Locked: 423,
  FailedDependency: 424,
  TooEarly: 425,
  UpgradeRequired: 426,
  PreconditionRequired: 428,
  TooManyRequests: 429,
  RequestHeaderFieldsTooLarge: 431,
  UnavailableForLegalReasons: 451,
  InternalServerError: 500,
  NotImplemented: 501,
  BadGateway: 502,
  ServiceUnavailable: 503,
  GatewayTimeout: 504,
  HttpVersionNotSupported: 505,
  VariantAlsoNegotiates: 506,
  InsufficientStorage: 507,
  LoopDetected: 508,
  NotExtended: 510,
  NetworkAuthenticationRequired: 511
};
Object.entries(gt).forEach(([e, t]) => {
  gt[t] = e;
});
const vf = gt;
function Yr(e) {
  const t = new Ne(e), n = Pr(Ne.prototype.request, t);
  return u.extend(n, Ne.prototype, t, { allOwnKeys: !0 }), u.extend(n, t, null, { allOwnKeys: !0 }), n.create = function(o) {
    return Yr(J(e, o));
  }, n;
}
const w = Yr(Mt);
w.Axios = Ne;
w.CanceledError = ue;
w.CancelToken = Ef;
w.isCancel = Kr;
w.VERSION = Zr;
w.toFormData = Xe;
w.AxiosError = E;
w.Cancel = w.CanceledError;
w.all = function(t) {
  return Promise.all(t);
};
w.spread = bf;
w.isAxiosError = Rf;
w.mergeConfig = J;
w.AxiosHeaders = P;
w.formToJSON = (e) => Gr(u.isHTMLForm(e) ? new FormData(e) : e);
w.getAdapter = Qr.getAdapter;
w.HttpStatusCode = vf;
w.default = w;
const wf = w;
var M = /* @__PURE__ */ ((e) => (e.GITHUB = "github", e.GITEE = "gitee", e))(M || {});
const Of = 3e4, An = Math.random(), eo = {
  timeout: Of,
  getBusinessCode() {
    return An;
  },
  getBusinessMsg(e) {
    return e.statusText;
  },
  getBusinessData(e) {
    return e.data;
  },
  businessSuccessCodeList: [An],
  axios: wf
}, to = jr({
  basePath: " https://gitee.com",
  ...eo
}), no = jr({
  basePath: "https://api.github.com",
  ...eo
}), Sf = ({
  username: e
}) => to({
  url: `/api/v5/users/${e}/repos`,
  method: "GET"
}), Tf = ({
  accessToken: e
}) => to({
  url: "/api/v5/user/repos",
  method: "GET",
  params: {
    access_token: e,
    per_page: 100,
    page: 1,
    sort: "updated"
  }
}), Af = ({
  username: e
}) => no({
  url: `/users/${e}/repos`,
  method: "GET"
}), Cf = ({
  accessToken: e
}) => no({
  url: "/user/repos",
  method: "GET",
  headers: {
    Authorization: `Bearer ${e}`
  },
  params: {
    per_page: 100,
    page: 1,
    sort: "updated"
  }
}), Nf = {
  name: "@done-coding/cli-git",
  version: "0.5.3",
  description: "git跨平台操作命令行工具",
  cliConfig: {
    namespaceDir: ".done-coding",
    moduleName: "git"
  }
}, {
  cliConfig: { namespaceDir: jf, moduleName: Pf }
} = Nf, xf = `./${jf}/${Pf}`, Ff = (e) => `${xf}/.${e}`, Uf = ({ platform: e, username: t }) => `${e}/${t}`, $f = (e) => {
  const { platform: t } = e, n = Ff(t), r = Nn(n, {
    isFindFarthest: !1
  });
  if (!r) {
    R.warn("配置文件不存在");
    return;
  }
  const o = `${r}/${n}`, s = fe.readFileSync(o, "utf-8"), i = Uf(e), a = co({ encryptedText: s, secretKey: i });
  if (!a) {
    R.warn("配置文件解密失败");
    return;
  }
  return JSON.parse(a);
}, Cn = [
  { title: "GitHub", value: M.GITHUB },
  { title: "Gitee", value: M.GITEE }
], ro = (e) => {
  let t = 0;
  if (e) {
    const n = Cn.findIndex(
      (r) => r.value === e
    );
    n >= 0 && (t = n);
  }
  return {
    type: "select",
    name: "platform",
    message: "选择git平台",
    choices: Cn,
    initial: t
  };
}, oo = (e) => ({
  type: "text",
  name: "username",
  message: "请输入用户名",
  format: (t) => t.trim(),
  validate: (t) => t.length > 0 || "用户名不能为空",
  initial: e
}), Lf = async ({
  platform: e,
  username: t
} = {}) => {
  const n = {
    platform: e,
    username: t
  };
  e || (n.platform = (await C(ro())).platform), t || (n.username = (await C(oo())).username);
  const { platform: r, username: o } = n;
  let s = [];
  const i = $f({
    username: o,
    platform: r
  });
  let a = i == null ? void 0 : i.accessToken;
  R.stage(`正在获取${o}的${r}仓库列表...`);
  const f = {
    username: o,
    accessToken: a
  };
  switch (n.platform) {
    case M.GITHUB: {
      s = (await (f.accessToken ? Cf : Af)(f)).data.map((c) => ({
        name: c.name,
        httpUrl: c.clone_url,
        sshUrl: c.ssh_url,
        description: c.description || ""
      }));
      break;
    }
    case M.GITEE: {
      s = (await (f.accessToken ? Tf : Sf)(f)).data.map((c) => ({
        name: c.name,
        httpUrl: c.html_url,
        sshUrl: c.ssh_url,
        description: c.description || ""
      }));
      break;
    }
    default:
      return R.error(`未知平台${r}`), process.exit(1);
  }
  if (R.success(`获取${o}的${r}仓库列表成功`), s.length === 0) {
    R.warn(`${o} 可获取${r}仓库列表为空`);
    return;
  } else
    R.stage(`共${s.length}个仓库`);
  const { repoUrl: l } = await C({
    name: "repoUrl",
    type: "select",
    message: "选择仓库",
    choices: s.map((c) => ({
      title: `${c.name} ${c.description}`,
      value: c.sshUrl
    }))
  });
  return l;
}, Df = async (e) => {
  const t = await Lf(e), { projectName: n } = e;
  X(
    `git clone ${t} ${n ? `${n} ` : ""}--depth=1`,
    { stdio: "inherit" }
  ), R.success(`克隆${t}成功`);
}, Bf = async (e) => {
  console.log("克隆done-coding系列项目"), console.log("选择平台:");
  const { platform: t } = await C(ro(M.GITEE));
  console.log("选择用户名:");
  const { username: n } = await C(
    oo(
      {
        [M.GITHUB]: "done-coding",
        [M.GITEE]: "justsosu"
      }[t]
    )
  );
  console.log("platform:", t), console.log("username:", n), await Df({
    platform: t,
    username: n,
    projectName: e
  });
}, If = async (e) => {
  const { projectName: t, justCloneFromDoneCoding: n = !0 } = e;
  if (n) {
    R.info("仅仅(从done-coding系列项目列表中)克隆远程仓库"), await Bf(t);
    return;
  }
  const o = ((t ?? (await C(_o)).projectName) || "").trim();
  if (!o)
    return R.error("项目名称不能为空"), process.exit(1);
  if (o.includes(" ") || o.includes("\\") || o.includes("/"))
    return R.error(`项目名称\`${o}\`不能包含空格或者\\或者/`), process.exit(1);
  const s = ao(process.cwd(), o);
  if (ct(s)) {
    const { isRemove: m } = await C(Fn());
    if (m === !0)
      Se(s, { recursive: !0, force: !0 });
    else
      return R.error(`项目${o}已存在`), process.exit(1);
  }
  const { template: i } = await C(await Eo());
  let a = "", f = "";
  if (i === jn) {
    const { customUrl: m } = await C(Ro);
    a = m;
  } else if (i === Pn)
    a = await mo();
  else {
    const m = (await xn()).find(
      (d) => d.name === i
    );
    if (!m)
      return R.error(`模板${i}不存在`), process.exit(1);
    if (!m.url)
      return R.error(`模板${i}仓库地址不存在`), process.exit(1);
    a = m.url, f = m.branch;
  }
  const l = Nn(".git");
  R.stage("正在初始化项目，请稍等..."), X(
    `git clone${f ? ` -b ${f}` : ""} ${a} ${o} --depth=1`,
    { stdio: "inherit" }
  );
  const c = ho;
  if (fo({
    rootDir: s,
    configPath: c
  }) && (await po({
    rootDir: s,
    configPath: c,
    extraEnvData: {
      $projectName: o
    }
  }), Se(c, { force: !0 }), R.stage("模板项目配置注入成功, 模版项目配置文件已删除")), R.stage("项目初始化完成"), l) {
    const m = pe.resolve(s), d = pe.resolve(m, ".git");
    if (!ct(d))
      throw new Error("git目录不存在");
    Se(d, { recursive: !0, force: !0 }), R.stage(
      `项目创建在父级git仓库${l}中，已删除${o}目录下的.git(${d})`
    );
  } else if ((await C(bo)).saveGitHistory)
    X("git remote rename origin upstream && git fetch --unshallow", {
      cwd: s,
      stdio: "inherit"
    }), R.stage(
      "已经将origin重命名为upstream，后续可以与模板git仓库有完整的交互"
    ), R.success("已保存git历史记录");
  else {
    const d = pe.resolve(s, ".git");
    Se(d, { recursive: !0, force: !0 }), X("git init", {
      cwd: s,
      stdio: "inherit"
    });
  }
  const { gitCommitMessage: g } = await C(
    vo(o)
  );
  X(`git add . && git commit -m '${g}'`, {
    cwd: s,
    stdio: "inherit"
  }), R.success(`项目${o}初始化完成`), R.info(`
使用步骤: 
  1. cd ${o}
  2. pnpm install
  3. pnpm run dev
  `);
}, {
  version: kf,
  description: Mf,
  cliConfig: { moduleName: qf }
} = yt, so = {
  describe: Mf,
  version: kf,
  options: {
    justCloneFromDoneCoding: {
      alias: "c",
      type: "boolean",
      describe: "是否仅仅(从done-coding系列项目列表中)克隆远程仓库",
      default: !1
    }
  },
  positionals: {
    projectName: {
      describe: "项目名称",
      type: "string"
    }
  },
  handler: If
}, io = (e = !1) => {
  const t = `${e ? `${qf} ` : ""}[projectName]`, n = `$0 ${t.trim()}`;
  return { command: t, usage: n };
}, Vf = async () => uo({
  ...so,
  ...io()
}), Xf = () => lo({
  ...so,
  ...io(!0)
});
export {
  Xf as a,
  Vf as c,
  If as h
};
